Winamp 5.9.1	[Dec 14 2022]
* Vylepšeno: [ml_local / nde] Zmenšení velikosti paměti
* Vylepšeno: [ml_local] Zrychlení načítání a další optimalizace
* Vylepšeno: [ml_online] Zvýšena maximální šířka pásma (z 350 na 3500).
* Vylepšeno: [playlist/ml_playlists/ml_pmp] Zlepšení načítání/zapisování playlistů.
* Vylepšeno: [dlmgr] Zvětšena velikost vyrovnávací paměti pro rychlejší stahování podcastů
* Vylepšeno: [Bento skin] Zvětšena šířka konfigurace pro usnadnění překladů
* Vylepšeno: [Instalátor] Skript pro kontrolu běhu VS2019 (díky Pawel Porwisz).
* Opraveno: Zavěšení při opětovném otevření Winampu, pokud byl dříve umístěn na odpojeném monitoru.
* Opraveno: [Instalátor] Přepínač tiché instalace blokován externími závislostmi
* Opraveno: [gen_ff] Režimy Windowshade a Docked Toolbar se nepamatovaly při restartu systému.
* Opraveno: [gen_tray] Po restartu Winampu se neukládají nastavení
* Opraveno: [in_mp4/libmp4v2] Problémy s přetečením a vyhledáváním u konkrétních videí mp4
* Opraveno: [in_wave/libsndfile] Chyba při analýze podčástí seznamu s některými hlavičkami riffů
* Opraveno: [ml_downloads] Zrušení vícenásobného výběru zrušilo pouze první položku
* Opraveno: [ml_playlists] Pád při úpravě položky playlistu
* Opraveno: [ml_wire/xml] Zobrazení jiných než latinských znaků v podcastech
* Opraveno: [out_ds] Crossfader nefunkční v Bento/Modern skin EQ
* Opraveno: [out_ds] Potenciální problémy s přetečením vyrovnávací paměti
* Opraveno: [out_wasapi] Pád při otevírání flv videa (vykreslování ještě potřebuje opravit).
* Opraveno: [playlist/ml_playlists] Úniky paměti
* Opraveno: [playlist/ml_playlists] Nahlášené problémy se speciálními/unicode znaky
* Opraveno: [vis_avs] Nabídka editoru AVS není lokalizována, když je použit balíček jazyků
* Různé: Mnoho dalších obecných úprav, vylepšení, oprav a optimalizací
* Různé: Nahrazeno nu::PtrMap za std::map a nu::PtrList za std::vector
* Misc: [vcpkg] změněno z manifestu na klasický režim
* Odstraněno: [wbm] Líné načítání systémových souborů wbm (již není vyžadováno).
* Aktualizováno: [in_flac/enc_flac] libFLAC 1.4.2
* Aktualizováno: [in_mod] libopenmpt 0.6.6
* Aktualizováno: [OpenSSL] OpenSSL 3.0.5
* Aktualizováno: [vpx] libvpx 1.12.0
* Aktualizováno: [xml] expat 2.4.9
* Aktualizováno: [zlib] zlib 1.2.13
* Nové/vylepšené: [ml_downloads/ml_playlists] Kontextová nabídka stahování v ML 
* Novinka: [ml_nft] Import, přehrávání a stahování hudby z knihovny NFT (volitelné)

Winamp 5.9.0 [Sep 08 2022]
* Vylepšeno: Kompatibilita s Windows 11
* Vylepšeno: Přehrávání streamů https://
* Vylepšeno: Aktualizovaný a přehlednější kód generování html playlistu
* Vylepšeno: [in_flac] Podpora přehrávání v Hi-res (24bit/192kHz atd.).
* Vylepšeno: [in_mkv] podpora vp8
* Vylepšeno: [in_mod] Přehrávání komprimovaných modulů .itz, .mdz, .s3z a .xmz.
* Vylepšeno: [ml_rg] Přidáno škrcení zpráv a další optimalizace.
* Vylepšeno: [ml_wire] Nový pracovní adresář Podcast
* Vylepšeno: [out_ds] Správné zobrazení informací o zařízení ve formátu Unicode.
* Opraveno: [in_midi/in_mkv/nu/pfc] úniky paměti
* Opraveno: [in_mp3] id3 prázdný žánr zobrazen jako Blues nebo Psychobilly
* Opraveno: [jnetlib/ml_online/ml_wire] JSAPI2 JavaScript API
* Opraveno: [ml_rg] Výpočet ReplayGain pro soubory Ogg Vorbis
* Opraveno: [out_wasapi] Obnovení hlasitosti na nulu při změně skladby
* Opraveno: [out_wave] Pád při přehrávání modulů/tracker formátů
* Různé: lame_enc & libsndfile nyní statické odkazy místo dynamických dll
* Různé: libmpg123, libflac & zlib nyní statické odkazy místo dynamických dll
* Různé: Hlavní práce na refaktorizaci překladače
* Různé: Mnoho dalších obecných úprav, vylepšení, oprav a optimalizací
* Různé: Minimální požadovaný operační systém je nyní Windows 7 SP1
* Různé: Nová sekce online nápovědy a články
* Různé: SDK nyní kompatibilní s VS2017 a novějšími verzemi
* Různé: Syntaxe verzování změněna na v5.x.x
* Různé: Winamp\Microsoft.VC142.CRT runtimes nyní nainstalovány na Win7/8
* Různé: [dsp_sps] Vylepšeno, přebudováno a přetvořeno!
* Odstraněno: Bento Browser tab - Tak sbohem a díky za všechny ryby!
* Odstraněno: [read_file.dll] in_midi nyní používá zlib a minizip pro komprimované midi.
* Aktualizováno: [alac/in_mp4] ALAC 2017-11-03-c38887c5
* Aktualizováno: [enc_lame] LAME 3.100.1
* Aktualizováno: [freetype.wac] freetype 2.12.1
* Aktualizováno: [gif] giflib 5.1.4
* Aktualizováno: [in_cdda] libdiscid 0.6.2
* Aktualizováno: [in_flac/enc_flac] libFLAC 1.3.4
* Aktualizováno: [in_mod] libopenmpt 0.6.4
* Aktualizováno: [in_mp3] libmpg123 1.29.3
* Aktualizováno: [in_vorbis] libogg 1.3.5 & libvorbis 1.3.7
* Aktualizováno: [in_wave] libsndfile 1.1.0
* Aktualizováno: [OpenSSL] OpenSSL 3.0.3
* Aktualizováno: [png] libpng 1.6.37
* Aktualizováno: [vp8] WebM libvpx 1.11.0
* Aktualizováno: [zlib] zlib 1.2.12

Winamp 5.8.0 [Oct 18 2018]
* Novinka: (WASAPI) Výstupní zásuvný modul (w.i.p.)
* Vylepšeno: Přidána možnost úplného vypnutí podpory videa ve Winampu.
* Vylepšeno: * Zlepšena funkce Winamp, která umožňuje rozšířit a zkvalitnit funkci Winamp: Přidána možnost automatické plné obrazovky do předvoleb videa.
* Vylepšeno: Do podpory příkazového řádku přidáno /ENUMPLAYLISTS
* Vylepšeno: Kompatibilita se systémy Windows 8.1 a 10
* Vylepšeno: [in_mod] Přehrávač modulů založený na OpenMPT (nahrazuje starý přehrávač MikMod)
* Vylepšeno: [ml_playlists] Přidány funkce procházení cesty a úpravy názvu v editoru Ctrl+E.
* Vylepšeno: [Bento] Aktualizovány posuvníky a tlačítka a další úpravy (díky Martinovi)
* Vylepšeno: [Bento & Modern skins] Přidána funkce pro vyhledávání v seznamech skladeb (díky Viktorovi).
* Opraveno: Nové adresy URL se nepamatují po použití funkce Obnovit historii v dialogu Otevřít adresu URL.
* Opraveno: Různé úniky paměti
* Opraveno: [gen_tray] V předvolbách se nezobrazuje správný aktuální balíček ikon.
* Opraveno: [in_avi] Pád funkce Divide-by-zero u špatně vytvořených souborů (díky ITDefensor)
* Opraveno: [in_mp3] Pád s některými ID3v2 tagy
* Opraveno: [ml_wire] Problém pomalého načítání
* Opraveno: [ssdp] Pád při načítání, pokud jnetlib nebyl správně inicializován.
* Různé: Minimální požadovaný operační systém je nyní Win XP sp3 (doporučuje se Windows 7 nebo vyšší).
* Různé: Další obecné úpravy, vylepšení, opravy a optimalizace
* Různé: Přesun sdílené knihovny DLL do složky Winamp\Shared
* Odstraněno: Všechny bývalé funkce s licencí "Pro" (Winamp je nyní opět 100% freeware)
* Odstraněno: gen_jumpex & UnicodeTaskbarFix (uvolnění místa nativním implementacím)
* Odstraněno: [in_wm] Podpora DRM
* Nahrazeno: Přehrávání a ripování CD nyní používá nativní API systému Windows (namísto Sonic)
* Nahrazeno: Dekodér MP3 nyní založen na mpg123 (namísto Fraunhoferova).
* Nahrazeno: Dekodér AAC nyní používá Media Foundation (Vista a vyšší)
* Nahrazeno: Dekodér H.264 nyní používá Media Foundation (Vista a vyšší)
* Nahrazeno: Dekodér MPEG-4 Part.2 nyní používá Media Foundation (Vista a vyšší)
* Aktualizováno: [in_vorbis] libogg 1.3.3 & libvorbis 1.3.6
* Aktualizováno: [libFLAC] FLAC 1.3.2
* Aktualizováno: [libyajl] libyajl v2.1.0
* Aktualizováno: [OpenSSL] OpenSSL v1.0.1i
* Aktualizováno: [png] libpng v1.5.24

Winamp 5.6.66 [Dec 12 2013]
* Vylepšeno: V dialogovém okně Otevřít/Přidat URL bylo přidáno tlačítko Obnovit pro vymazání historie.
* Vylepšeno: Přidána možnost zakázat změnu hlasitosti kolečkem myši.
* Vylepšeno: Přidány další přepínače příkazového řádku (pro zobrazení úplného seznamu spusťte: winamp.exe /?)
* Vylepšeno: Všechny nabídky nyní používají skinovaný styl, pokud je tato možnost povolena v nastavení ML.
* Vylepšeno: Vypnuty všechny online funkce, pokud není v předvolbách vybráno připojení k internetu.
* Vylepšeno: Opravy kompatibility s vysokým DPI a škálováním textu pro dialogová okna a zobrazení knihovny
* Vylepšeno: Zvětšeny popisky v oznamovací oblasti na 128 znaků (místo 64)
* Vylepšeno: Zobrazení knihovny nyní volitelně seskupují tlačítka "Play" a "Enqueue".
* Vylepšeno: Hromadný editor metadat z knihovny je nyní k dispozici také v editoru seznamu skladeb.
* Vylepšeno: Opakování výzvy UAC, pokud uživatel dříve vybral možnost "Ne" (pro příslušná nastavení)
* Vylepšeno: Zrychlení procesu vypínání aplikace Winamp
* Vylepšeno: [gen_ff] Přidáno nastavení pro ovládání času zobrazení/skrytí dokovaných panelů nástrojů.
* Vylepšeno: [gen_ml] Vylepšeno zpracování přetahování a upouštění
* Vylepšeno: [ml_downloads] Přidán sloupec "Velikost".
* Vylepšeno: [ml_history] Nové možnosti obnovení přehrávání (pro podcasty nebo všechny soubory).
* Vylepšeno: [ml_history] Přidán sloupec "Posunutí přehrávání" s možností vymazání kliknutím pravým tlačítkem myši.
* Vylepšeno: [ml_local] Přidána pole Podcast, BPM a Hodnocení do editoru metadat Ctrl+E.
* Vylepšeno: [ml_local/history/pmp] Přidána klávesa F8 pro obnovení aktuálního vyhledávání.
* Vylepšeno: [ml_nowplaying/wire] Přidána podpora pro použití alternativních služeb.
* Vylepšeno: [ml_playlists] Možnost použít zdrojový soubor místo kopie spravované databází.
* Vylepšeno: [ml_pmp] Přidáno jednoduché zobrazení, které odpovídá podpoře místních knihoven.
* Vylepšeno: [pmp_android/usb] Do formátování názvu souboru přidána podpora <disc>.
* Opraveno: Agent nepoužívá okno Winamp, pokud je již spuštěn klon (např. KMPlayer).
* Opraveno: Problém se zpětným chodem u balíčků jazyků při načítání tabulek akcelerátorů
* Opraveno: Délka není načtena, pokud je nastaveno načítání titulů při načtení
* Opraveno: Zatuhnutí související s hodnocením při kliknutí pravým tlačítkem myši na velké výběry v editoru seznamu skladeb
* Opraveno: Ukládání do nesprávné přípony pro akci "Uložit jako" na kartě Alt+3 Umělecké dílo.
* Opraveno: Znaky Unicode se nezobrazují na hlavním panelu, pokud jsou přítomny některé staré zásuvné moduly
* Opraveno: Různé problémy s aero-peekem a dokováním freeform skinů jako panelu aplikací
* Opraveno: [gen_ff] Dokování dole/vpravo, pokud je měřítko rámu okna jiné než 1,0.
* Opraveno: [gen_jumpex] Nefunkční položka nabídky shellu "Přidat do knihovny".
* Opraveno: [gen_jumpex] Okno 'Přejít na soubor' není vždy viditelné při stisknutí 'J' nebo 'F3'.
* Opraveno: [gen_tray] Problémy se zablokováním/dvojím spuštěním při použití akce 'Prev'.
* Opraveno: [in_flac] Odstranění vložené kresby
* Opraveno: [in_midi] Pád porovnávání paměti u špatně vytvořených souborů .kar
* Opraveno: [libmp4v2] Pád kvůli kontrole neplatného ukazatele u poškozených souborů
* Opraveno: [ml_local] Vyhledávací filtry s unicode znaky nejsou zapamatovány
* Opraveno: [ml_playlists] Odstranění neplatných znaků z názvu playlistu při exportu
* Opraveno: [pmp_android/usb] Pád při špatné cestě
* Opraveno: [pmp_android/usb] Použít název souboru, pokud nejsou k dispozici metadata pro generování cesty k souboru.
* Různé: [Instalační program] Přidána možnost "Winamp (nouzový režim)" do ikony nabídky Start
* Různé: Další obecné úpravy, vylepšení, opravy a optimalizace (je jich hodně!).
* Aktualizováno: Přidáno: [enc_fhgaac] Fraunhofer AAC Encoder v3.02.16
* Aktualizováno: [enc/in_vorbis] libogg 1.3.1
* Aktualizováno: [gen_jumpex] JTFE v1.32
* Aktualizováno: [in_wave] libsndfile 1.0.25

Winamp 5.6.5 [24. července 2013]
* Vylepšeno: Optimalizace alokace paměti a opravy
* Vylepšeno: [ml_playlists] Zobrazení aktuálně přehrávané skladby
* Opraveno: V důsledku opravy Icecast v 5.64 přestaly hrát některé rozhlasové streamy.
* Opraveno: Pád při vkládání obalu do dialogu Informace o souboru v 5.64
* Opraveno: [in_mp3] Vykreslování snímků PIC ve značkách ID3v2.2
* Opraveno: [gen_ml] Klávesa Enter nefunguje správně pro zobrazení ml
* Opraveno: [ml_local] Ojedinělé pády při importu knihovny v 5.64
* Opraveno: [ml_plg] Nefunkční položka nabídky "Zobrazit skladby podobné" v hlavním okně songtickeru.
* Opraveno: [npwachk] Zásuvný modul Winamp Detector nefunguje s nejnovějším Firefoxem.
* Opraveno: [wasabi] Podivnosti při zpracování seznamu barevných motivů
* Různé: Další obecné úpravy, vylepšení, opravy a optimalizace
* Aktualizováno: Změny: [enc_fhgaac] Fraunhofer AAC Encoder v3.02.15
* Aktualizováno: [png] libpng v1.5.17
* Aktualizováno: [gen_jumpex] JTFE v1.2.7

Winamp 5.6.4 [Jun 19 2013]
* Novinka: Možnost spustit Winamp v nouzovém režimu (také pomocí přepínače /SAFE=1 na příkazovém řádku)
* Novinka: Podpora seznamu skladeb XSPF (pouze pro čtení, podpora zápisu bude následovat)
* Vylepšeno: Přidány popisky pro zkrácený text v náhledech seznamu knihovny médií.
* Vylepšeno: Přidáno "Prozkoumat složku položky" do kontextové nabídky v seznamech skladeb
* Vylepšeno: Manipulace s nabídkou záložek se nyní řídí nastavením přehrávání/vyřazování v aplikaci Winamp
* Vylepšeno: Režim D3D vsync (měl by opravit hlášené problémy s trháním videa)
* Vylepšeno: Zobrazení informací o zdroji obalu alba na kartě Obrázek v dialogovém okně Informace o souboru
* Vylepšeno: Zapamatování poslední pozice dialogových oken
* Vylepšeno: Zobrazení hodnocení z tagů, pokud soubor není v místní knihovně médií
* Vylepšeno: Použití nového stylu dialogového okna pro prohlížeč složek
* Vylepšeno: Kompatibilita s asociacemi typů souborů systému Windows 8
* Vylepšeno: [gen_ff] Podpora více monitorů pro oznamovač Bento/Modern skin
* Vylepšeno: [gen_ff] Kompatibilita s více monitory/režimem hlavního panelu systému Windows 8
* Vylepšeno: [in_flac] Podpora streamování FLAC 
* Vylepšeno: [in_mp3] Podpora uměleckých děl ve streamu Shoutcast v2 (a další drobné opravy)
* Vylepšeno: [in_mp3] Použití MIME k určení dekodéru před předpokladem, že ext. je správný.
* Vylepšeno: [in_mp4] Podpora nativního přehrávání ALAC
* Vylepšeno: [in_mp4] Optimalizována čtečka MP4 Raw pomocí chunků místo vzorků
* Vylepšeno: [in_mp4] Zápis hodnocení do tagů (pomocí atomu "rate")
* Vylepšeno: [ml_local/history] Přívětivější chybová zpráva, pokud se nepodaří načíst nde/databázi
* Vylepšeno: [ml_local] Nový sloupec "Datum přidání" (chytré pohledy odpovídajícím způsobem upraveny)
* Vylepšeno: [ml_playlists] Nyní s podporou generování seznamu skladeb HTML
* Vylepšeno: [ml_playlists] Uložení seznamů skladeb do vlastního m3udiru, pokud je zadáno v souboru paths.ini
* Vylepšeno: [ml_wire] Ukládání (a zálohování) databázových souborů při aktualizacích namísto při ukončení.
* Vylepšeno: [pmp_ipod] Přidána podpora metadat BPM, TotalTracks, Disc# a TotalDiscs.
* Vylepšeno: [pmp_wifi] Podpora SSDP a další optimalizace
* Opraveno: Chybné načítání v některých instalacích Windows 8 (a starších) (díky Nanner)
* Opraveno: Nepřehrávání první následující skladby při vymazání a následném přidání položek do seznamu skladeb.
* Opraveno: Upozornění na Bento/Modern skin se někdy přestalo zobrazovat (díky pjn123).
* Opraveno: Odstranění 0-bajtových souborů wdl*.tmp a wht*.tmp
* Opraveno: Problémy s opětovným vložením zásuvných modulů vis ve skinu Bento při ukončení fullscreenu.
* Opraveno: Problémy s některými servery Icecast poskytujícími neplatné odkazy na streamy (chyba verze 2.x!).
* Opraveno: Možné pády při rychlém přepínání mezi zásuvnými moduly DSP
* Opraveno: [Bento Browser] Potenciální bezpečnostní chyby (díky Julien Ahrens, Inshell)
* Opraveno: [gen_jumpex] Potenciální bezpečnostní chyby (díky J. Ahrens, Inshell.net)
* Opraveno: [in_mp3] Mapování stupnice hodnocení POPM
* Opraveno: [in_mp4] Chyba, kdy příliš malá velikost předané vyrovnávací paměti vedla ke ztrátě dat.
* Opraveno: [in_mp4] Vyhledávání souborů/podcastů, které používají jeden videosnímek jako umělecké dílo.
* Opraveno: [in_vorbis] Nečtení Disc# (plus další obecné opravy komentářů Vorbis)
* Opraveno: [in_wave] Informace o mldb pro soubory .wav se po zobrazení dialogu Alt+3 vymažou.
* Opraveno: [ml_disc] Blokování položek kontextové nabídky ve stromu ml pro historii a záložky.
* Opraveno: [ml_disc] Vytváření 0-bajtových souborů trk*.tmp a související pád na některých systémech.
* Opraveno: [ml_impex] Zablokování uživatelského rozhraní při importu/exportu velkých databází
* Opraveno: [ml_wire] Odběry podcastových kanálů se stejným názvem
* Opraveno: [ombrowser] Nefunkční klávesy Alt Gr v textových vstupních polích online služeb.
* Opraveno: [pmp_android] Pád související s albem při přenosu souborů ogg.
* Opraveno: [pmp_android/usb] Přenosy selžou, pokud <Albumartist> obsahuje nepovolené znaky.
* Opraveno: [pmp_p4s] Pád/závěs při ukončení po přenosu souborů na zařízení MTP/P4S.
* Různé: Všechny výchozí zásuvné moduly nyní obsahují vlastnosti popisu souboru a informace o verzi
* Různé: Další obecná vylepšení, opravy a optimalizace
* Odstraněno: [gen_orgler] Konec databáze grafů a využití hudby ve Winampu
* Aktualizováno: [libFLAC] FLAC 1.3.0
* Aktualizováno: [png] libpng v1.5.16
* Aktualizováno: [gen_jumpex] JTFE v1.2.6
* Aktualizováno: [zlib.dll] zlib 1.2.8

Winamp 5.6.3 [Jun 28 2012]
* Novinka: maďarské a indonéské překlady instalačního programu a jazykové balíčky
* Novinka: [enc_vorbis] Kodér Ogg Vorbis (založený na aoTuV)
* Vylepšeno: Podpora kláves aplikace Shift+F10 v knihovně médií.
* Vylepšeno: [enc_fhgaac] Přidán režim VBR 6 a další drobná vylepšení kvality.
* Vylepšeno: [in_flac] Podpora metadat výrobce
* Vylepšeno: [in_mod] Přepracované, zjednodušené a bezpečné přidělování paměti ve vláknech.
* Vylepšeno: [ml_history] Ukládání počtů přehrání při aktualizaci místo pouze při ukončení.
* Vylepšeno: [ml_local] Zvětšeny buffery pro vyhledávací dotazy z 512 nebo 1024 na 2048 bajtů.
* Vylepšeno: [gen_hotkeys] Přidány akce pro ruční posun a vizualizaci.
* Opraveno: V některých scénářích nefungovaly vložené obaly alb.
* Opraveno: Znovuotevření okna videa po zavření při úpravě značek mp4
* Opraveno: [aacdec] Únik paměti při opětovné synchronizaci do proudu AAC
* Opraveno: [bmp] Kontrola hranic v dekodéru TSCC
* Opraveno: [bmp] Problémy s přetečením haldy (díky: Secunia)
* Opraveno: [in_avi] Problémy s dělením po nule a ukazatelem NULL (díky: FuzzMyApp)
* Opraveno: [in_mod] Problémy s pamětí .IT a poškozením haldy (díky: Jeremy Brown, MSVR)
* Opraveno: [ml_local] Pád v mezipaměti MLDBAPI::SetField
* Opraveno: [pmp_android/usb] Úpravy metadat Genre a Year zapisující se do pole Disc#
* Opraveno: [vis_milk2] Předvolby nereagují na hudbu v lokalizovaných instalacích (Milkdrop v2.25)
* Různé: Další obecná vylepšení, opravy a optimalizace
* Aktualizováno: [aacdec] Dekodér Fraunhofer AAC v1.762.208
* Aktualizováno: [in_vorbis] libogg 1.3.0 & libvorbis 1.3.3
* Aktualizováno: [lame_enc] LAME 3.99.5
* Aktualizováno: [png] libpng v1.5.10
* Aktualizováno: [vp8] libvpx v1.1.0
* Aktualizováno: [xml] expat v2.1.0
* Aktualizováno: [zlib.dll] zlib 1.2.7

Winamp 5.6.23 [Dec 9 2011]
* Opraveno: chyby dekódování mp3 na konci souboru (mělo by opravit hlášené chyby při vypalování CD)
* Opraveno: [aacdec] Detekce parametrického sterea u souborů AAC vytvořených staršími kodéry.
* Opraveno: [enc_fhgaac] Kodér MP4 se vždy neuzavírá při chybách nebo přerušených přenosech.
* Opraveno: [in_avi] Pád u některých chybně vytvořených souborů AVI
* Opraveno: [in_flac & in_mp4] Úniky paměti
* Opraveno: [in_mod] Kontrola hranic při parsování komentářů
* Opraveno: [pmp] Vícevláknová závodní podmínka (nyní podporuje přenosy bezpečné pro vlákna)
* Opraveno: [pmp_android] Vložené obaly alb se při přenosech odstraňují.
* Různé: Další obecné úpravy, vylepšení, opravy a optimalizace
* Aktualizováno: Upraveno: [enc_fhgaac] Fraunhofer AAC Encoder v3.2.4
* Aktualizováno: [gen_jumpex] JTFE v1.2.5

Winamp 5.6.22 [Oct 26 2011]
* Vylepšeno: [in_mp3] Podpora TXXX/Band jako alternativního rámce id3v2 pro Album Artist
* Opraveno: [bmp/in_avi] Problémy s přetečením celých čísel v dekodérech TSCC, RGB a YUV.
* Opraveno: [enc_fhgaac] Chyba při převzorkování vysokého datového toku
* Opraveno: [in_midi] Nedotažení v souborech CMF, když je posun hudby větší než velikost souboru
* Opraveno: [in_mod] Ujistěte se, že AMF je omezeno na maximálně 32 kanálů.
* Opraveno: [in_mp3] Pád při stisknutí Alt+3 u právě přehrávaného souboru s tagem APEv2.
* Opraveno: [in_mp3] Čtení rámce TDRC (Year) pouze pro id3v2.4
* Opraveno: [in_mp3] Neodstraňuje rámečky TCMP a PRIV id3v2 při aktualizaci tagů.
* Opraveno: [in_mp4] Přehrávání bez mezer
* Opraveno: [in_nsv] Potenciální problém s přetečením celého čísla
* Různé: Další obecné úpravy, vylepšení, opravy a optimalizace
* Různé: [ml_local] Přidána vysvětlující chybová stránka, pokud dojde k poškození databáze.
* Aktualizováno: Přidáno: [enc_fhgaac] Fraunhofer AAC Encoder v3.2.3
* Aktualizováno: [gen_jumpex] JTFE v1.2.4
* Aktualizováno: [lame_enc] LAME 3.99

Winamp 5.6.21 [Jul 11 2011]
* Vylepšeno: [in_nsv] Nové API umožňující dekodéru videa signalizovat šířku a výšku kodeku
* Opraveno: [enc_fhgaac] Výchozí datový tok ADTS; Zápis dat bez mezer
* Opraveno: [enc_fhgaac] Kompatibilita HE-AAC s iTunes
* Opraveno: [in_midi] Různé problémy s přetečením celého čísla (díky: Luigi Auriemma)
* Opraveno: [libsndfile] Chyba přetečení haldy celých čísel v PAF (díky: Hossein Lotfi/Secunia)
* Opraveno: [ml_local] Pád nelegální instrukce na strojích jiných než SSE.
* Opraveno: [ml_rg] Některé soubory nesprávně vracely hodnoty zisku 0
* Opraveno: [nsvdec_vp3, nsvdec_vp5, vp6] Zranitelnosti přetečení bufferu při přeškálování
* Různé: Další obecná vylepšení, opravy a optimalizace

Winamp 5.6.2 [Jun 30 2011]
* Novinka: Fraunhoferův kodek AAC s podporou kódování VBR
* Novinka: [theora.w5s] Dekodér Theora pro MKV
* Vylepšeno: [ml_local] Nový extra velký albumart a možnost skrýt název alba.
* Vylepšeno: [in_mp3/jnetlib/ml_wire] Podpora přesměrování http stavových kódů 303 a 307.
* Opraveno: [in_midi] Přidána kontrola přetečení vyrovnávací paměti pro chybně formulované zprávy Controller Change
* Opraveno: [in_midi] Zranitelnost při zpracování zpráv SysEx spočívající v přetečení celého čísla
* Opraveno: [in_mod] Pád u souborů .IT s 0 kanály (díky: Luigi Auriemma)
* Opraveno: [in_mp4] Pád u zkrácených souborů
* Opraveno: [in_mp4] Zkreslení u souborů MP4 s chybně formulovanými daty stts.
* Opraveno: [jnetlib] Únik paměti při připojování ke streamům https
* Opraveno: [ml_impex] Import dat o počtu přehrání
* Opraveno: [ml_local] Pokročilý nástroj pro tvorbu dotazů
* Opraveno: [nsvdec_vp5] Integer underrun (díky: Luigi Auriemma)
* Opraveno: [pmp_wifi] Synchronizace seznamu skladeb
* Opraveno: [vis_milk2] Některé předvolby nereagují na hudbu (Milkdrop v2.24)
* Opraveno: [vp6] Pád při změně měřítka u videa s nepravidelnou velikostí (díky: Luigi Auriemma)
* Opraveno: [vp6] Nedostatečná hodnota celého čísla ve filtru pro deblokaci při velikosti obrazu 0,0
* Různé: Výchozí nastavení "Obnovit asociace souborů při spuštění Winampu" na "vypnuto" ve Vistě+.
* Různé: Další obecné úpravy, vylepšení, opravy a optimalizace
* Různé: Přepracované zobrazení online služby SHOUTcast Radio (nová škola a klasické možnosti)
* Různé: Nahrazeno CT aacPlusDecoder.w5s novým FhG aacdec.w5s
* Různé: Nahrazeno CT enc_aacplus.dll novým FhG enc_fhgaac.dll
* Různé: Panel nástrojů je nyní kompatibilní s Firefoxem 5

Winamp 5.6.1 [22. března 2011]
* Vylepšeno: [ml_local] Optimalizace rychlosti načítání vyhledávání a zobrazení (~20% rychlejší!)
* Vylepšeno: [ml_impex] Rozbor data při importu
* Vylepšeno: [ml_plg] Přímá podpora kolečka myši pro generované zobrazení seznamu skladeb.
* Vylepšeno: [ml_plg/gracenote] Vylepšení dotazování, zálohování a obnovy databáze.
* Vylepšeno: [ml_rg] Zvýšena maximální vzorkovací frekvence z 96000 na 192000.
* Vylepšeno: [nsutil] Přidána podpora 64bit float IIR.
* Vylepšeno: [Instalační program] Spuštění Winampu jako běžný uživatel ze zvýšeného instalačního programu.
* Vylepšeno: Podpora volně otočné myši s kolečkem
* Opraveno: Přidána kontrola správnosti parametrů, aby se zabránilo pádu JSAPI2
* Opraveno: Známé problémy s kompatibilitou IE9
* Opraveno: [Prohlížeč Bento] Zamrznutí, když jsou ve vyhledávacím řetězci všechny mezery
* Opraveno: [Bento/Moderní skiny] Pád při kliknutí na oznamovač, pokud chybí ml_nowplaying
* Opraveno: [gen_ml] Problémy s uživatelským rozhraním zobrazení obálek alb a rolovacího panelu seznamu
* Opraveno: [in_flac] Pád při pokusu o zápis metadat do neexistujících souborů
* Opraveno: [in_mp3] Únik paměti APEv2
* Opraveno: [in_mp3] Špatná bitová maska pro výpočet délky rámce AAC
* Opraveno: [in_mp3] Nesprávně hlášené přibližné snímky
* Opraveno: [jnetlib] Potenciální přetečení celého čísla v kódu pro zpracování hlavičky http
* Opraveno: [ml_local] Kategorie se nezapisuje do souboru při úpravě metadat.
* Opraveno: [ml_plg] Vynucení logiky obnovení pro jiné než anglické lokality.
* Opraveno: [nde] Uložení mldb až třikrát při ukončení Winampu (chyba v2.95/5.0x)
* Opraveno: [pmp_android/usb] Použití <Artist> pro název složky, pokud chybí <Albumartist>.
* Opraveno: [pmp_ipod] Poškození databáze při vysunutí u některých modelů iPodů.
* Opraveno: [pmp_ipod] Problémy se synchronizací Nano a Shuffle 4G.
* Různé: Další obecná vylepšení, opravy a optimalizace.
* Různé: Dokumenty online nápovědy přesunuty na web nápovědy AOL
* Různé: Vylepšení podpory SHOUTcast2 pro in_mp3 a informace o souborech Bento
* Různé: [in_flac/in_vorbis] Změněna interní stupnice hodnocení z 0-5 na 0-100
* Různé: [ml_local] Vylepšení nabídky pravého tlačítka myši (Zobrazení skladeb v tomto zobrazení).
* Vráceno: Milkdrop z v2.23 na v2.2 a AVS z v2.83 na v2.81d (prozatím).
* Aktualizováno: Sonic PrimoSDK Burning Engine v4.28.06.0
* Aktualizováno: [instalátor] OpenCandy SDK (opravuje některé AV, které jej hlásí jako malware).
* Aktualizováno: [png.w5s] libpng v1.5.1

Winamp 5.6.01 [9. prosince 2010]
* Vylepšeno: [in_wave/libsndfile] Do seznamu výchozích rozšíření přidán AIF
* Vylepšeno: [ml_plg] Lokalizace názvů playlistů a různá další vylepšení.
* Opraveno: Kompatibilita s Win2k (způsobeno opravou specifického DLL load vuln pro verzi 5.6).
* Opraveno: [in_midi] Bezpečnostní chyba (díky: Morten @ kryptoslogic)
* Opraveno: [in_mp3] Dotazování na metadata endoffset pro přehrávání bez mezer v iTunes.
* Opraveno: [pmp_ipod] Problémy se synchronizací a vysouváním
* Opraveno: [pmp_ipod] Příznak kompilace, když je interpret alba "Various Artists".
* Opraveno: [pmp_wifi] Pád při chybějícím souboru devices.w5s
* Různé: Instalační program zakázal nekompatibilní zásuvný modul gen_lyrics třetí strany.
* Různé: Další obecné úpravy, vylepšení, opravy a optimalizace

Winamp 5.6 [Nov 27 2010]
* Novinka: [pmp_wifi] Podpora Wi-Fi pro Android
* Novinka: Podpora přímého kolečka myši
* Novinka: Možnost zapisovat hodnocení do tagů (pro mp3, wma/wmv, ogg a flac).
* Vylepšeno: Přepracované zobrazení zařízení/přenosných zařízení v knihovně médií
* Vylepšeno: Nová možnost "Vertikální převrácení (Shift+F)" v kontextové nabídce Video
* Vylepšeno: [dlmgr/jnetlib] Zpracování stavových kódů http 100 a 201-206
* Vylepšeno: [ml_plg] Generátor playlistů: dialogové okno kontextové nabídky a další funkce
* Vylepšeno: [ml_pmp] Uživatelsky přívětivější možnosti transkódování pro přenosná zařízení.
* Vylepšeno: [ml_transcode] Přidána podpora pro <disc> & <discs> v pojmenovávacím schématu.
* Vylepšeno: [nsutil] Optimalizovány režimy převracení videa
* Vylepšeno: [pmp_android/ipod] Přidána černá listina kodérů.
* Vylepšeno: [ReplayGainAnalysis] Podpora pro více vzorkovacích frekvencí
* Opraveno: Bezpečnostní chyba při načítání DLL
* Opraveno: [enc_lame] Únik paměti
* Opraveno: [gen_ff] Poškození záložky přes nabídku Odeslat do v hlavním okně songtickeru
* Opraveno: [gen_ml] Prázdný/šedý ML při restartování Winampu z minimalizovaného stavu.
* Opraveno: [gen_ml] Zpoždění při rolování v navigačním panelu s velkým množstvím položek
* Opraveno: [in_midi] Problémy s přetečením bufferu/čísla (díky: Joakim @ nsense)
* Opraveno: [in_mod] Přetečení bufferu v poli pro komentáře (bezpečnostní chyba MTM)
* Opraveno: [in_mkv] Pád při čtení řetězce, který měl přesně SIZE_MAX bajtů.
* Opraveno: [in_mp3] Chyba uživatelského rozhraní ID3v1, chyba v kombinaci tagů APEv2 + Lyrics3, odstranění tagu APEv2.
* Opraveno: [in_mp4] Možný pád při získávání metadat/albumartu z neplatných souborů MP4
* Opraveno: [in_nsv] Celočíselné přetečení při alokaci paměti pro metadata
* Opraveno: [in_nsv] Celočíselné přetečení při parsování TOC (díky: C. Eiram, Secunia)
* Opraveno: [in_nsv] Podivnosti při detekci režimu převrácení videa
* Opraveno: [ml_local] Nekonzistence směru šipek a řazení v třípanelových zobrazeních
* Opraveno: [ml_plg] Pády generátoru playlistů a problémy s poškozením databáze
* Opraveno: [ml_pmp] Pád automatického vyplňování při prázdných knihovnách
* Opraveno: [ml_playlists] Pád při přetahování položek z jednoho seznamu skladeb do druhého
* Opraveno: [ml_transcode] Zamrznutí překódování .cda při použití <název souboru> ve schématu
* Opraveno: [playlist] Relativní názvy cest, když je název souboru již relativní.
* Opraveno: [pmp_android/usb] Problémy se synchronizací a načítáním seznamu skladeb
* Opraveno: [pmp_android/ipod/usb] Problém s předními lomítky v cestách k playlistům
* Opraveno: [pmp_usb] Chyba při připojení více zařízení USB.
* Opraveno: [vis_milk2] Problémy s Unicode u písem a editoru předvoleb (specifické pro verzi 5.58)
* Opraveno: [vis_milk2] vyhledávání souboru sprites.ini
* Opraveno: [vp6.w5s] Problém s přetečením bufferu
* Různé: Další obecná vylepšení, opravy a optimalizace
* Různé: Podpora přenosných zařízení nyní přidává také ml_devices.dll & devices.w5s
* Různé: Výzva uživateli, zda má při změně umístění přesunout skiny/langpacky
* Různé: Odstranění Winamp Remote z instalačního programu
* Různé: [ml_pmp] Přesun 'Podcast Sync' na novou kartu v možnostech přenosného zařízení
* Různé: [out_ds] Konfigurace nyní zobrazuje reproduktory 7.1 jako '7.1' namísto 'Neznámý'
* Aktualizováno: Gracenote CDDB/MusicID v2.6.206
* Aktualizováno: [gen_jumpex] JTFE v1.2.3
* Aktualizováno: [in_vorbis] libogg v1.2.1 & libvorbis v1.3.2
* Aktualizováno: [vp8] libvpx v0.9.5

Winamp 5.5.81 [12. července 2010]
* Vylepšeno: [pmp_android/usb] Výkonnost diskové mezipaměti metadat.
* Opraveno: [gen_ml] Oprava drobného úniku prostředků a další optimalizace
* Opraveno: [gen_ff] Problém s nápisy nástrojů způsobující mizení dialogových oken pod Winampem.
* Opraveno: [ml_disc] CD mechaniky se nezobrazují ve stromu ML, když se ML spustí neviditelně.
* Opraveno: [ml_wire] Řazení podle data před automatickým stahováním podcastů
* Opraveno: [pmp_android] Neukládá se nastavení
* Opraveno: [pmp_android/usb] Správa s výzvou Winampu se vždy objevuje znovu.
* Opraveno: [pmp_android/usb] Překódování na USB a zařízeních se systémem Android
* Různé: Aktualizace jazykových balíčků (de, ro, tr, fr, ru, se, ja)
* Různé: Další obecné úpravy, vylepšení, opravy a optimalizace
* Aktualizováno: [gen_jumpex] JTFE v1.1.1

Winamp 5.5.8 [Jun 29 2010]
* Novinka: 7digital mp3 store v online službách
* Novinka: Podpora WebM videa pro in_mkv a vp8 dekodér pro in_nsv
* Novinka: [ml_downloads] Vylepšený správce stahování pro podcasty a online služby.
* Novinka: [pmp_android] Podpora zařízení se systémem Android
* Vylepšeno: Nové ikony 256x256 pro Win7/Vista (s podporou typů souborů přes gen_jumpex).
* Vylepšeno: Nové tlačítka na panelu nástrojů Předchozí/Přehrát/Pozastavit/Následující pro hlavní panel Win7.
* Vylepšeno: Nová možnost "Vertikální převrácení videa" pro kompatibilitu se starými ovladači
* Vylepšeno: Vylepšení umístění a designu OSD videa
* Vylepšeno: [D3D video renderer] Podpora překrytí pro Win7
* Vylepšeno: [in_flv] Podpora metadat StreamTitle
* Vylepšeno: [in_avi/in_mp3] Podpora zvuku MPEG Layer 2 (mp2) v AVI
* Vylepšeno: [in_mp4] Vylepšeno streamování http ve formátu MP4
* Vylepšeno: [ml_bookmarks] Podpora záložek Unicode (winamp.bm8)
* Vylepšeno: [ml_history] Přidána možnost obnovení pozice přehrávání podcastů.
* Vylepšeno: [ml_impex] Import/export polí 'Publisher', 'Producer' a 'Director'.
* Vylepšeno: [ml_local/in_mp3] Zápis hodnocení do rámce POPM v tagu id3v2 (w.i.p.).
* Vylepšeno: [ml_wire] Různá vylepšení zobrazení Subscriptions
* Vylepšeno: [pmp_ipod] Podpora novějších modelů Classic
* Opraveno: Externí jazyková složka vždy hledá ve složce 'cs-US'.
* Opraveno: Zpracování globální tabulky akcelerátorů klávesnice (opravy: Ctrl+Alt+N, Ctrl+T atd.)
* Opraveno: Problémy s rolováním u myší s vysokým rozlišením
* Opraveno: Problém se Stackoverflow při načítání chybného souboru whatsnew.txt.
* Opraveno: Nastavení konfigurace [enc_flac] Compression Factor (výstup vždy na úrovni 5).
* Opraveno: [gen_ff] Výchozí náhradní písmo je vždy stejné jako náhradní písmo TTF v Předvolbách.
* Opraveno: [gen_jumpex] Zvýšení na Win7/Vista pro možnosti shellu
* Opraveno: [gen_ml] Strom není zaostřen při otevření ML v moderních skinech
* Opraveno: [in_cdda] Úpravy informací o CD se nepamatují
* Opraveno: [in_mp4] Chyba koercionace typu integer, která způsobovala pád některých MP4 souborů.
* Opraveno: [in_mp4] Přehrávání souborů obsahujících pouze video
* Opraveno: [in_mp4] Některé zásuvné moduly/ předvolby vis nefungovaly s mp4
* Opraveno: [libmp4v2] Zablokování při pokusu o přehrání nesprávně tvarovaných videí iTMS M4V
* Opraveno: [ml_local] Ztráta hodnocení při aktualizaci informací o souboru mp3 (specifické pro verzi 5.57)
* Opraveno: [ml_pmp] zásuvné moduly pmp_*.dll nebyly odstraněny prostřednictvím: Předvolby -> Odinstalovat
* Opraveno: [pmp_usb] Při použití čtečky karet není v jednotce žádný disk.
* Opraveno: [pmp_usb] xml cache ztrácí metadata (nyní místo toho používá NDE)
* Opraveno: [vis_milk2] Některé předvolby se nenačítají v jiných místních jazycích než v angličtině.
* Opraveno: [vp6] přetečení zásobníku s chybnými daty kodeku (díky Nicolas Joly, VUPEN)
* Různé: Přidány další žánry do dialogu Informace o souboru
* Různé: Další obecné úpravy, vylepšení, opravy a optimalizace
* Různé: Další opravy překladů, aktualizace lokalizace a vylepšení podpory unicode
* Různé: Přesun nastavení konfigurace ml_rg do Prefs -> Playback -> Replay Gain
* Různé: Vylepšený odinstalační program s možnostmi odstranění přibalených aplikací a uživatelských nastavení
* Různé: Přepracovaná stránka předvoleb "Winamp Pro".
* Aktualizováno: Gracenote CDDB/MusicID v2.6.205
* Aktualizováno: [gen_jumpex] JTFE v1.1
* Aktualizováno: [in_vorbis] libogg 1.2.0 & libvorbis 1.3.1
* Aktualizováno: [lame_enc] LAME 3.98.4

Winamp 5.5.72 [13. ledna 2010]
* Vylepšeno: [h264.w5s] Optimalizace dekodéru H.264
* Vylepšeno: [in_avi/bmp.w5s] Podpora bitmap RGB AVI
* Vylepšeno: [ml_disc] Podpora pro Disc# v konvenci pojmenování pro ripování CD
* Opraveno: Pád při použití Alt+3 editoru během skenování mldb na pozadí
* Opraveno: EasyMove pro klasické okno videa
* Opraveno: Analyzátor spektra a beat vis pro 32bitové soubory PCM
* Opraveno: [bmp.w5s] Úniky paměti s kodeky BMP AVI (tscc, rle, yuv, rgb)
* Opraveno: [D3D] Pád při změně výšky, ale ne šířky u videí, která jdou proti sobě.
* Opraveno: [gen_tray] Kompaktní režim ve vyskakovací liště Win7
* Opraveno: [in_avi] Pád u souborů s chybějící hlavičkou RIFF (včetně 0-bajtových souborů)
* Opraveno: [in_avi] Pád, když ix## seektables nejsou tam, kde mají být...
* Opraveno: [in_mod] Chyba nedostatku paměti u některých starších souborů .mod.
* Opraveno: [in_mp3] Problémy s unicode/ansi hlavičkou ADTS (pro soubory .aac).
* Opraveno: [ml_impex] Zápis UTF-8
* Opraveno: [ml_local] Informační editor maže pole mldb, která nejsou podporována vstupním pluginem
* Různé: Další pokusy o opravu nahlášených problémů s elevací/registrací ve Vistě a Win7.
* Různé: Instalační program: Gracenote instalovat pouze spolu se závislými komponentami
* Různé: Další obecné úpravy, vylepšení, opravy a optimalizace
* Různé: Různé aktualizace překladů (poznámka: francouzský jazykový balíček je nyní aktualizován na verzi 5.57x)
* Aktualizováno: [gen_jumpex] JTFE v1.0.7.3
* Aktualizováno: libpng 1.4.0
* Aktualizováno: libsndfile 1.0.21

Winamp 5.5.71 [Dec 21 2009]
* Novinka: Podpora MPEG-4 videa pro in_mp4 a in_flv (pouze Winamp Pro)
* Novinka: [in_avi] Podpora nativního videa AVI (MPEG-4 = pouze Winamp Pro)
* Novinka: [in_mkv] Podpora videa Matroska MKV (MPEG-4 = pouze Winamp Pro)
* Novinka: [ml_addons] Průzkumník pro objevování nových skinů a doplňků plug-inů
* Novinka: Zásuvné moduly prohlížeče pro detekci Winampu pro IE a Firefox
* Vylepšeno: Vylepšeno vykreslování videa v Direct3D
* Vylepšeno: Zpracování asociací typů souborů ve Windows Vista a Windows 7
* Vylepšeno: Nové celoobrazovkové video OSD
* Vylepšeno: Přidáno ovládání předzesilovače ReplayGain do předvoleb (dříve pouze .ini)
* Vylepšeno: Optimalizace VU metru (beat vis)
* Vylepšeno: [gen_ff] Vícevláknový objekt <AlbumArt/>.
* Vylepšeno: [in_flac/in_vorbis] Podpora tagů pro pole Organization jako Publisher.
* Vylepšeno: [in_flv] Podpora zvuků AAC, aacPlus a ADPCM v souborech FLV.
* Vylepšeno: [in_mp4] Podpora parametrického sterea aacPlus v kontejneru mp4
* Vylepšeno: [in_nsv] Nativní dekódování h.264 (pouze Winamp Pro)
* Vylepšeno: [in_wave] Zpracování názvů souborů Unicode
* Vylepšeno: [ml_history] Funkce Play Offset pro obnovení přehrávání podcastů.
* Vylepšeno: [ml_local] Pole a sloupce režiséra a producenta pro videa
* Vylepšeno: [ml_local] Řádková mezipaměť pro NDE pro výrazné urychlení dotazů
* Vylepšeno: [ml_online] Možnost otevřít službu pravým tlačítkem myši v novém okně.
* Vylepšeno: [ml_wire] podpora protokolů feed:// pcast:// a winamp://
* Vylepšeno: [ml_wire] Možnost automatického stažení "x" nejnovějších epizod
* Vylepšeno: [ml_wire] Přepracované zobrazení adresáře podcastů
* Vylepšeno: [pmp_usb] Možnost nastavení cest v uložených seznamech skladeb.
* Vylepšeno: [vis_milk2] Milkdrop2 aktualizován pro použití ns-eel2 (díky Justin).
* Opraveno: Vlastní mldb informace se vrátí na název souboru při Alt+3 pro in_dshow, flv a swf
* Opraveno: Problémy s instalací výtahu a kompatibilitou s Aero ve verzi 5.57 ve Windows Vista.
* Opraveno: Chyba HeapSetInformation není umístěna v kernel32 pod Win2k
* Opraveno: Nefunkční funkce náhodného přehrávání v omezených uživatelských profilech.
* Opraveno: Různé další nahlášené problémy/chyby/poruchy s verzí 5.57
* Opraveno: [gen_ml] Tučný text v zobrazeních místních médií v některých systémech
* Opraveno: [gen_tray] Kompaktní režim nefunguje na 64bitových OS
* Opraveno: [in_flac] Zamrznutí přehrávání před koncem některých poškozených souborů.
* Opraveno: [in_flv] Problém se synchronizací, kdy video zaostává za zvukem u některých souborů flv
* Opraveno: [in_flv] Různé problémy související s pádem formátu h.263
* Opraveno: [in_mod] Bezpečnostní chyba přetečení haldy (díky Dyon Balding, Secunia)
* Opraveno: [in_mod] Pád některých souborů s3m při načítání.
* Opraveno: [in_mp4] Různé problémy s překódováním
* Opraveno: [in_wm] Zablokování hlavního okna a nabídky hlavního panelu po zavření prohlížeče DRM
* Opraveno: [jpeg.w5s/png.w5s] Opravy bezpečnostních chyb (díky Nicolas Joly, VUPEN)
* Opraveno: [ml_local] Odstranění chybějících souborů porušeno při úplném opětovném skenování
* Opraveno: [ml_wire] Feeds.xml je někdy zničen.
* Opraveno: [pmp_p4s] Pád s některými zařízeními
* Opraveno: [vis_avs] Problémy s kompilací způsobující, že se některé předvolby nenačtou správně nebo spadnou
* Různé: Vylepšená kompatibilita se systémem Windows 7, včetně integrace miniatur aero a hlavního panelu.
* Různé: Další obecné úpravy, vylepšení, opravy a optimalizace
* Různé: Nová informační stránka pro vývojáře jazykových balíčků v dialogu O Winampu
* Různé: Nová podpora videa MPEG-4 přidává h264.w5s a mp4v.w5s
* Různé: Přejmenování nsvdec_vp6.dll na vp6.w5s
* Různé: Z instalačního programu byl prozatím odstraněn gen_dropbox...
* Různé: Klepnutím pravým tlačítkem myši zavřete oznamovač ve skinu Bento
* Různé: Některé opravy klávesových akcelerátorů (nová klávesová zkratka Ctrl+Alt+B pro Přidat aktuální do záložek)
* Různé: Různá vylepšení instalátoru (včetně nové kontroly verze DirectX)
* Aktualizováno: dekodér aacPlus 8.2.2, kodér 8.2.0
* Aktualizováno: Gracenote CDDB/MusicID v2.6.101
* Aktualizováno: libpng 1.2.40
* Aktualizováno: [gen_jumpex] JTFE v1.0.7.1
* Aktualizováno: [in_vorbis] libvorbis 1.2.3 & libogg 1.1.4

Winamp 5.5.6 [2. července 2009]
* Novinka: Umožňuje sledovat, mapovat a sdílet historii poslechu.
* Vylepšeno: [jnetlib] Nová podpora SSL pro přehrávání streamů https://
* Vylepšeno: [ml_autotag] Fuzzy matches nyní není ve výchozím nastavení zaškrtnuto a je označeno jako 'Unsure'.
* Vylepšeno: [ml_local] Nový skener na pozadí
* Vylepšeno: [ml_online] Různé úpravy, opravy a vylepšení
* Vylepšeno: [ml_pmp] Přidána podpora pro přetahování z Průzkumníka do seznamů skladeb zařízení.
* Opraveno: neukončení procesu iexplore při zavření Průzkumníka po otevření přes Winamp
* Opraveno: Chyba duplikace názvu předvolby Save EQ
* Opraveno: [Bento skin] Přesměrování url domovské stránky SHOUTcast na vyhledávání Winampu.
* Opraveno: [gen_jumpex] Obrácená tlačítka nahoru/dolů, "stop po aktuálním" a další problémy
* Opraveno: [in_mod] Pád některých modulů .s3m (w.i.p.)
* Opraveno: [in_mod] Závada při přehrávání během překódování na pozadí.
* Opraveno: [in_wm] Problémy s desetinnou čárkou v informacích o formátu Alt+3.
* Opraveno: [in_wm] Vestavěný prohlížeč IE pro získávání licencí DRM.
* Opraveno: [in_wm] Načítání adres URL v souborech playlistů WPL
* Opraveno: [in_mp4/libmp4v2] Chyba přetečení celého čísla při velikosti vzorku MP4.
* Opraveno: [libsndfile] Chyba přetečení bufferu VOC
* Opraveno: [ml_impex] Čtení pole "has video" z iTunes XML (a zápis při exportu).
* Opraveno: [tagz.w5s] Závěs s funkcí $right v ATF, když je zadané pole prázdné.
* Opraveno: [vis_avs] závislost na msvcp71.dll
* Různé: Přidáno front.jpg/gif/etc do kritérií pro obaly alb
* Různé: Další různá obecná vylepšení, opravy a optimalizace
* Různé: Nová sdílená komponenta omBrowser.w5s pro ml_nowplaying, wire & online
* Různé: Odstranění dashboardu (ml_dash) z distribuce
* Různé: ml_orb se nyní instaluje pouze jako součást samostatného balíčku Winamp Remote
* Aktualizováno: [gen_jumpex] JTFE v1.0.5
* Aktualizováno: libsndfile 1.0.20

Winamp 5.5.52 [Apr 10 2009]
* Opraveno: [gen_ff] memcpy integer overflow zranitelnost při načítání skriptu maki.

Winamp 5.5.51 [Mar 9 2009]
* Opraveno: [libsndfile] Zranitelnost při zpracování CAF přetečením celého čísla
* Aktualizováno: libsndfile 1.0.19

Winamp 5.5.5 [27. února 2009]
* Novinka: Turecký, portugalský a rumunský instalační balíček a jazykové balíčky
* Nové: Systém WBM pro líné načítání souborů *.w5s
* Novinka: [Bento skin] Karta Playlist (volitelná)
* Novinka: [ml_impex] Zásuvný modul pro import/export databáze knihovny médií kompatibilní s iTunes.
* Vylepšeno: [gen_ff] Rychlejší a bez blikání při načítání/přepínání skinů
* Vylepšeno: [gen_jumpex] Nová položka menu 'Přidat do knihovny' a další vylepšení.
* Vylepšeno: [gen_jumpex] Podpora skutečného unicode vyhledávání
* Vylepšeno: [gen_ml] Volitelné střídání barev řádků pro zobrazení seznamu.
* Vylepšeno: [gen_ml] Volitelné skinované nabídky
* Vylepšeno: [in_mod] Experimentální podpora ExtendedRead (překódování, vypalování atd.)
* Vylepšeno: [in_mod] Nyní používá globální konfiguraci přehrávání pro prioritu vláken
* Vylepšeno: [in_mp3] Vylepšení úprav/vytváření tagů APEv2
* Vylepšeno: [in_mp3] Zobrazení okamžitých datových toků pro AAC VBR
* Vylepšeno: [ml_local] Vyhledávání v knihovně médií nyní ignoruje diakritiku
* Vylepšeno: [ml_local] Nová databázová pole "Kategorie" a "Bezztrátové".
* Vylepšeno: [ml_local] Nové možnosti kontroly sledování počtu přehrání
* Vylepšeno: [ml_local] Nová položka "Přehrát/náhodně zařadit" pro filtry nejvyšší úrovně
* Vylepšeno: [ml_online] Nový panel nástrojů a různá další vylepšení a optimalizace.
* Vylepšeno: [ml_online] Podpora služeb třetích stran
* Vylepšeno: [vis_milk2] Vylepšení podpory Pixel Shader 2.0 a 3.0
* Vylepšeno: [vis_nsfs] Zobrazení názvu v Unicode pro aktuálně přehrávanou skladbu.
* Vylepšeno: [Winamp Agent] Podpora lokalizace
* Vylepšeno: [Winamp Modern skin] Nové možnosti zobrazení spektra
* Opraveno: Oprava přístupnosti pro řetězec Format Info v dialogu Alt+3
* Opraveno: Neukládání žánru pomocí funkce automatického označování v dialogu Alt+3
* Opraveno: Úniky paměti v in_mp3, in_wm, gen_dropbox, ml_local, ml_pmp a tagz.w5s
* Opraveno: Nelze zakázat kontrolu nové verze, když je povolena statistika anon.
* Opraveno: Vzácný pád při zavření okna vis
* Opraveno: Různé problémy při spouštění/zastavování/přepínání zásuvných modulů vis
* Opraveno: [Agent] Ikona Systray se nezobrazuje, pokud je v možnostech shellu odstraněna volba "Přehrát ve Winampu".
* Opraveno: [enc_flac] 24bitové kódování FLAC
* Opraveno: [gen_jumpex] Možnosti shellu, klávesová zkratka B, nabídky Odeslat do a další různé chyby
* Opraveno: [gen_ml] Závada při změně velikosti tlačítka knihovny
* Opraveno: [in_cdda] Potenciální pád nulového ukazatele cddb disku
* Opraveno: [in_flac] Pole Albumartist & Ensemble nebyla vymazána při odstranění Album Artist
* Opraveno: [in_flac] Restartování skladby při aktualizaci metadat
* Opraveno: [in_mp3] Možný problém s pádem ID3v2.0/2.1
* Opraveno: [in_mp4] Prázdné pole metadat žánru (např. při překódování z flac do m4a)
* Opraveno: [in_mp4] Dlouhé zavěšování na pomalých síťových discích.
* Opraveno: [libsndfile] Zranitelnost přetečení bufferu AIFF (díky milw0rm/secunia)
* Opraveno: [ml_disc] Potenciální pád při ukončení programu
* Opraveno: [ml_disc] Nerespektována volba ripování 'Použít velká písmena v příponách souborů'.
* Opraveno: [ml_history] Sledování se stále aktualizuje, pokud se přehrávání zastaví před zadaným časem.
* Opraveno: [ml_local] Nefunkčnost tlačítka "Vytvořit seznam skladeb" v místních médiích.
* Opraveno: [ml_local] Odstranění chybějících souborů nefunkční u některých starších/poškozených databází.
* Opraveno: [ml_wire] Sloupce se někdy skrývají v zobrazení Stažené soubory
* Opraveno: [ml_plg] Vícenásobné chybové hlášení "Nepodařilo se inicializovat".
* Opraveno: [ml_pmp] Pád při odstraňování seznamů skladeb/souborů z přenosného zařízení P4S
* Opraveno: [ml_pmp] Opravy háčků metadat, transkodéru, automatického vyplňování a dalších chyb.
* Opraveno: [nde] Alba s % v názvu nezobrazují seznam skladeb v zobrazeních místních médií.
* Opraveno: [out_ds] Závada zobrazení logaritmického ovládání hlasitosti dB
* Opraveno: [pmp_ipod] Odstranění neexistujících souborů z databáze.
* Opraveno: [pmp_ipod] Čtení statistik počtu přehrání
* Opraveno: [pmp_ipod] Různé problémy s databází, albumartem, přehráváním a odpojením
* Různé: Další různá obecná vylepšení, opravy a optimalizace
* Různé: Nová položka "Odeslat zpětnou vazbu" v nabídce nápovědy
* Různé: Upozornění: Změny provedené v databázi ml nejsou zpětně kompatibilní!
* Různé: Odstraněny některé starší předvolby Milkdrop a přidány některé novější.
* Různé: Odděleny dekodéry vlb.w5s a nsvdec_vp3.dll od in_mp3 a in_nsv.
* Různé: Odděleny časovače z gen_ff do timer.w5s
* Aktualizováno: Gracenote CDDB/MusicID v2.6.0.6
* Aktualizováno: libpng 1.2.35
* Aktualizováno: Sonic Burning Engine v4.10.32.502
* Aktualizováno: [gen_jumpex] JTFE v1.0.4
* Aktualizováno: [in_mp3] Fraunhoferův dekodér v4.3
* Aktualizováno: [lame_enc] LAME 3.98.2
* Aktualizováno: [vis_avs] AVS v2.82

Winamp 5.5.41 [Aug 4 2008]
* Vylepšeno: [pmp_ipod] Lepší automatická detekce novějších modelů iPodů
* Opraveno: Ikony typů souborů v Průzkumníku Windows se neaktualizovaly při změně v Předvolbách.
* Opraveno: ML & Vis se zobrazují pod dalšími překrývajícími se okny moderních skinů
* Opraveno: Při pokusu o úpravu metadat souborů určených pouze pro čtení se neobjeví chybová zpráva.
* Opraveno: Potenciální bezpečnostní chyba v NowPlaying
* Opraveno: [gen_ff] Klávesové zkratky v režimu stínování oken moderních skinů pro přehrávání.
* Opraveno: [gen_ml] Posouvání na spodní část panelu AlbumArt a další různé problémy s posuvníkem
* Opraveno: [in_mp3] Nefunkční url '307 - Dočasné přesměrování'.
* Opraveno: [ml_local] Závada při výběru ikony AlbumArt
* Opraveno: [ml_playlists] Obrácení akcí Play a Enqueue, pokud je jako výchozí nastaveno Enqueue
* Opraveno: [ml_rg] Analýza ReplayGain 20bitových souborů
* Různé: Dvojklik na Modern pledit songticker nyní opět přepíná režim stínu okna
* Různé: Další různá obecná vylepšení, opravy a optimalizace

Winamp 5.5.4 [8. července 2008]
* Novinka: Překlady čínštiny, japonštiny a korejštiny a jazykové balíčky instalátoru
* Novinka: [in_swf] Podpora přehrávání Adobe Shockwave Flash (SWF, RTMP)
* Novinka: [gen_dropbox] Winamp DropBox alfa (použijte: Ctrl-Shift-D)
* Novinka: [Online služby] AOL Radio s CBS Radio (vyžaduje in_flv)
* Vylepšeno: Možnost čtení na pozadí pro metadata playlistu
* Vylepšeno: Klasické rolování ukazatele skladeb pro Winamp Modern skin pledit winshade
* Vylepšeno: Vista (opravy: instalace skinů, filetype reg, Pro reg)
* Vylepšeno: Možnost nulové výplně pro čísla položek playlistu
* Vylepšeno: [in_flv] Lepší podpora streamování a další vylepšení
* Vylepšeno: [in_mp3] Do konfigurace přidány možnosti tagů APEv2.
* Vylepšeno: [in_mp3] Volitelné zachování stávajících hlaviček APEv2
* Vylepšeno: [ml_disc] Podpora grafiky pro čtečku datových CD
* Vylepšeno: [ml_disc] Lepší detekce probíhajících operací kopírování
* Vylepšeno: [ml_disc] Vylepšeny časy spuštění, pokud je aktivní zobrazení ml_disc
* Vylepšeno: [ml_local] Přepracován panel "Zobrazit informace".
* Vylepšeno: [ml_nowplaying] Přepracováno prostředí umělce "Now Playing".
* Vylepšeno: [ml_playlists] Možnost seřadit seznamy skladeb podle abecedy kliknutím pravým tlačítkem myši.
* Vylepšeno: [pmp_usb] Možnosti konfigurace Připojení/Odpojení/Blacklist
* Opraveno: Alt+F4 zavírání Winampu místo jednotlivých dialogů
* Opraveno: Prohlížeč Bento přesměrovával url adresy síťových disků na vyhledávání Winampu
* Opraveno: Prázdný seznam skladeb, když je Winamp v režimu dokovací lišty a je minimalizován.
* Opraveno: Okna komponent moderního skinu se zobrazují jednotlivě při Alt+Tab
* Opraveno: Vícenásobné blikání při spuštění, když byl dříve zavřený a zároveň minimalizovaný do systray
* Opraveno: Chyby při spuštění čistého volání virtuální funkce
* Opraveno: Problém s překreslováním při vypnutém integrovaném klasickém zobrazení
* Opraveno: Různé problémy s dokováním více monitorů
* Opraveno: Různé další problémy s akcelerátorem klávesnice specifické pro verzi 5.53
* Opraveno: [Bento] Přetažení do seznamu skladeb z dialogu Otevřít soubory
* Opraveno: [burnlib] "Jednotka CD uzamčena jiným procesem Winampu" při druhém pokusu o vypálení
* Opraveno: [burnlib] Chyba 'Uvolnění vypalovačky se nezdařilo'
* Opraveno: [dsp_sps] Pád při zavření, když je dialogové okno nápovědy ke konfiguraci stále otevřené.
* Opraveno: [enc_flac] Generování kontrolního součtu MD5
* Opraveno: [gen_ff] Pád pluginu Attached vis při přechodu z režimu winshade do normálního režimu v Modern skinu.
* Opraveno: [gen_hotkeys] Přiřazení klávesy Win s již použitými kombinacemi Ctrl
* Opraveno: [gen_ml] Nefunkční Enter/Shift+Enter pro položky stromového zobrazení ML (specifické pro verzi 5.53)
* Opraveno: [in_cdda] Logická chyba Composeru/Conductoru při ukládání dat CDDB do databáze.
* Opraveno: [in_flac] Drobné chyby při zápisu metadat
* Opraveno: [in_midi] Hledání se zařízením 'DM/MS Synth' v režimu streamovaného přehrávání
* Opraveno: [in_mp3] Pád u souborů s neplatnými/poškozenými daty bez mezery
* Opraveno: [in_mp3] Vytvoření nového nastavení konfigurace tagů ID3v1/v2
* Opraveno: [in_vorbis] Obrovské zpoždění u souborů s velkými vloženými obaly
* Opraveno: [in_vorbis] Zobrazení metadat a informací o formátu pro datové proudy v zobrazení informací o souboru
* Opraveno: [in_vorbis] Potenciální pád související s unicode při otevření/zavření souboru
* Opraveno: [jpeg.w5s] Uložení poškozeného obalu alba
* Opraveno: [ml_autotag] Dialog výsledků skrytý pod Winampem, když je povolen AOT.
* Opraveno: [ml_disc] Malý únik prostředků
* Opraveno: [ml_playlists] Nefunkční automatické posouvání při přetahování položek ve velkých seznamech skladeb.
* Opraveno: [ml_playlists] Nefunkční Enter/Shift+Enter pro vybrané položky ML playlistu.
* Opraveno: [ml_playlists] Nerespektování překrývajících se externích oken při přetahování položek.
* Opraveno: [ml_playlists / ml_transcode] Odesílání playlistů ze stromu ML do Transcoderu
* Opraveno: [ml_wire] 404/timeout s platnými rss kanály ve Vistě
* Různé: Různá lokalizační vylepšení, opravy a aktualizace
* Různé: Další různá obecná vylepšení, opravy a optimalizace
* Různé: Opravy nastavení (Agent se vždy nespustí, typ souboru WLZ se nezaregistruje atd.)
* Různé: Různé další aktualizace skinů 'Winamp Modern' a 'Bento'.
* Různé: [enc_flac] Nyní se enkóduje pomocí libFLAC místo Flake
* Aktualizováno: Bento skin v1.2
* Aktualizováno: freetype 2.3.7
* Aktualizováno: libpng 1.2.28
* Aktualizováno: [enc_lame] LAME 3.98

Winamp 5.5.31 [Apr 1 2008]
* Opraveno: prohlížeč Bento přesměrovával některé url adresy na vyhledávání Winampu
* Opraveno: Chyba v tlačítku sbalení/rozbalení Bento
* Opraveno: Neukládání posledních adres URL (specifické pro verzi 5.53)
* Opraveno: Zobrazení celkového času vybraných skladeb v klasickém seznamu skladeb (specifické pro verzi 5.53)
* Opraveno: [jnetlib] Problém s přeskakováním/vyrovnávací pamětí AOL Radio
* Opraveno: [ml_local] Problém s přehráváním/vyřazením všech položek pravým tlačítkem myši v zobrazeních se třemi panely.
* Opraveno: [ml_playlists] Nefunkční položky kontextové nabídky pravého tlačítka myši (specifické pro verzi 5.53)

Winamp 5.5.3 [28. března 2008]
* Vylepšeno: Různé popisy shellů pro různé přidružené typy souborů
* Vylepšeno: Nová funkce "Upřesnit hledání" v dialogovém okně Stahovač obálek
* Vylepšeno: Podpora Unicode pro jazykové balíčky nekompatibilní se systémovým locale
* Vylepšeno: [in_cdda] Nyní čte a zapisuje data CD do databáze NDE.
* Vylepšeno: [in_cdda/ml_disc] Reimplementace jednoduchého offline editoru informací o CD.
* Vylepšeno: [in_flac] Rychlejší shromažďování metadat FLAC
* Vylepšeno: [in_mp3] Přesnější výpočet délky formátu .AAC
* Vylepšeno: [in_wav/in_mp4] Podpora pro http streamování souborů větších než 2 GB.
* Vylepšeno: [ml_disc] Přidána podpora pro čtení datových CD (w.i.p.).
* Vylepšeno: [ml_local/nde] Optimalizace skenování na pozadí a databáze.
* Vylepšeno: [ml_local] Odhadování metadat na základě názvů souborů v souladu s Unicode
* Vylepšeno: [ml_transcode] Odstranění koncové tečky z cílové cesty souboru.
* Vylepšeno: [pmp_usb] Přidána podpora AlbumArtist do pojmenovací konvence
* Opraveno: Klasický EQ se objevuje s moderními skiny po přepnutí->minimalizace->obnovení
* Opraveno: Různé různé problémy související s Album Art
* Opraveno: [enc_lame] Nyní odmítá vícekanálové a vyšší než 48KHz zdrojové soubory.
* Opraveno: [gen_ff] Přeloženo načítání obrázků skinů
* Opraveno: [gen_ml] Šipka řazení v záhlaví a zobrazení sloupce Hodnocení pod Windows 2000
* Opraveno: [gen_ml] Různé závady kreslení při změně zobrazení
* Opraveno: [in_cdda] Pád CDDB za omezených podmínek připojení
* Opraveno: [in_cdda] Spektrum vis v režimu analogového přehrávání MCI
* Opraveno: [in_flac] Malý únik paměti při zápisu metadat FLAC
* Opraveno: [in_flv] Poslední dvě sekundy flv videí jsou useknuty
* Opraveno: [in_mp3] Pád při setkání se špatnou verzí ID3v2 (např. ID3v2.F).
* Opraveno: [in_mp4] Pád při nenalezení souboru během dekódování na pozadí
* Opraveno: [in_wave] Nekonečná smyčka při pokusu o opakované přehrávání mrtvých souborů
* Opraveno: [in_wm] Načítání ASX v2
* Opraveno: [in_wm] Pád u souborů a streamů s velkým skokem v přerušení.
* Opraveno: [in_wm / out_ds] Chyba kopírování 'Status' do schránky Unicode
* Opraveno: [ml_autotag] Pád u některých stop
* Opraveno: [ml_history] Pád při přetažení všech položek historie do seznamu skladeb.
* Opraveno: [ml_local] Hodnocení položek s názvy souborů Unicode
* Opraveno: [ml_online/orb] Pád uzlů na dno stromu ML při změně Lang Pack
* Opraveno: [ml_playlists] Přehrávání seznamu skladeb z položky hlavní nabídky Knihovny médií
* Opraveno: [pmp_ipod] Nekompatibilita délky názvu souboru s hudebním kvízem pro iPod v2
* Opraveno: [pmp_ipod] Chybějící tlačítko "Upřesnit" v dialogovém okně Upravit dotaz
* Opraveno: [pmp_ipod] Fyzické odstranění přehrávaného souboru
* Různé: Přidán překlad ruského instalačního programu a jazykový balíček
* Různé: * Přidán nový překlad jazyka: In2TV odstraněna z online služeb
* Různé: Instalační program je nyní sestaven s verzí NSIS Unicode [díky Jimu Parkovi].
* Různé: Další různá obecná vylepšení a optimalizace
* Různé: Přesun sdílené kompresní knihovny zlib.dll z winamp.exe
* Aktualizováno: Bento skin v1.1 #120

Winamp 5.5.2 [15. ledna 2008]
* Vylepšeno: Lepší podpora názvů souborů Unicode pro zvukové kodéry enc_*.dll
* Vylepšeno: [ml_transcode] Podpora názvů souborů Unicode
* Vylepšeno: [in_mp3] Podpora tagů APEv2
* Vylepšeno: [in_flac] Podpora čtení/zápisu metadat BPM
* Vylepšeno: [nde] Optimalizováno pro rychlejší výsledky dotazů v mldb
* Vylepšeno: [vis_milk2] Pixelové shadery nyní fungují na grafických čipech Intel na desce.
* Opraveno: Omezení znaků v poli komentářů na kartě Základní informace v editoru souborů.
* Opraveno: Střední nastavení priority přehrávacího vlákna se resetuje na hodnotu Nejnižší
* Opraveno: [in_mp3] Přetečení zásobníku metadat streamování Ultravox (díky: Secunia)
* Opraveno: [in_mp4] Pád při pokusu o přehrání neexistujících souborů.
* Opraveno: [in_vorbis] Pád při vymazání existujících polí metadat v okně Informace o souboru
* Opraveno: [in_wave] Překódování souborů WAV s plovoucí řádovou čárkou.
* Opraveno: [ml_transcode] Úniky paměti
* Různé: Další různá obecná vylepšení a úpravy
* Aktualizováno: Bento skin #118

Winamp 5.5.1 [19. prosince 2007]
* Novinka: Obsluha automatického přehrávání pro audio, MP3 a video CD ve WinXP a Vista
* Novinka: Registrace výchozích programů pro instalace ve Windows Vista
* Novinka: Volitelný ekvalizér Constant-Q a volitelná frekvenční pásma ISO Standard
* Novinka: [in_flv] Dekodér videa Flash (pouze vp6, nikoli h.263)
* Vylepšeno: Správce stahování v prohlížeči nyní používá cílovou složku pro CD Ripping
* Vylepšeno: Odstranění vloženého obalu alba prostřednictvím karty Artwork v okně Informace o souboru
* Vylepšeno: Přesnější překlad jazykových balíčků
* Vylepšeno: Další různá vylepšení uživatelského rozhraní/dialogů
* Vylepšeno: Možnost nastavení počtu pixelů pro posunutí moderního songtickeru.
* Vylepšeno: [Gracenote/MusicID] Lepší kontrola chyb a optimalizace paměti cache
* Vylepšeno: [gen_ff] Více různých optimalizací enginu pro freeform skinování.
* Vylepšeno: [gen_hotkeys] Přidána volitelná podpora WM_APPCOMMAND pro multimediální klávesy.
* Vylepšeno: [gen_hotkeys] Přidáno zvýšení + snížení hodnocení na aktuální skladbě.
* Vylepšeno: [in_dshow] Čtení délky a datového toku pro jiné než výchozí formáty videa.
* Vylepšeno: [in_flac] Optimalizováno ukládání do mezipaměti na disku pro zvýšení výkonu
* Vylepšeno: [in_mp3] Lepší optimalizace pro starší procesory Pentium Pro/2/3
* Vylepšeno: [in_mp3] Podpora čtení pole ALBUM ARTIST, pokud není přítomno TPE2
* Vylepšeno: [in_mp4] Lepší podpora Unicode a optimalizace čtení metadat
* Vylepšeno: [in_mp4] Optimalizováno ukládání do mezipaměti/čtení z disku
* Vylepšeno: [in_vorbis] Podpora pro čtení pole YEAR, pokud není přítomno DATE
* Vylepšeno: [ml_disc/in_cdda] Vylepšení čtení disku a další obecné optimalizace.
* Vylepšeno: [ml_history] Nové možnosti kontroly sledování
* Vylepšené: [ml_local] Přidán sloupec pro BPM
* Vylepšeno: [ml_local] Logika řazení sloupců alba
* Vylepšeno: [ml_local] Lepší práce se seznamy skladeb
* Vylepšeno: [ml_local] Zvýšen limit pro hádání metadat track# ze 130 na 999
* Vylepšeno: [ml_local] Optimalizace databázových dotazů a paměti
* Vylepšeno: [ml_pmp] Podpora přetahování z Průzkumníka do zobrazení přenosného zařízení.
* Vylepšeno: [ml_transcode] Výzva k odstranění přerušených transkódů
* Opraveno: Nenalezeno dílo, pokud název souboru .nfo obsahuje tečku
* Opraveno: ASX Parser převádí všechny odkazy na streamy v seznamech skladeb .asx na velká písmena
* Opraveno: Klasický songticker s chybami při obtékání
* Opraveno: Přetahování/posouvání textu songtickeru po změně velikosti
* Opraveno: Při změně jazykových balíčků byl zničen globální seznam klávesových zkratek.
* Opraveno: Závady při výběru žánru v editoru Gracenote CDDB
* Opraveno: Gracenote/MusicID nepoužívá nastavení proxy serveru Winampu
* Opraveno: Zpracování seznamů skladeb ASX ansi obsahujících nestandardní znaky.
* Opraveno: Obnovení ze systémové lišty, pokud byl dříve zavřen v minimalizovaném stavu
* Opraveno: Nastavení obnovující ikony na ploše :-o
* Opraveno: Pád nekompatibility Spectrum vis s některými vstupními moduly plug-in třetích stran.
* Opraveno: Zarovnání náhradního písma Truetype ve Winamp Modern winshade songticker.
* Opraveno: Různé různé problémy s klávesovými zkratkami
* Opraveno: Překlep v položce registru agenta Winamp (wianmpa.exe)
* Opraveno: [Bento] Sbalit/rozšířit seznam skladeb nerespektuje nastavení "Zobrazit obal alba".
* Opraveno: [gen_ff] Potenciálně vysoké využití CPU objektu songticker
* Opraveno: [gen_ff] Změna náhradního písma TrueType se neaktualizuje v reálném čase
* Opraveno: [gen_hotkeys] Obnovení z minimalizovaného stavu při otevřeném dialogu O aplikaci
* Opraveno: [gen_ml] Prázdný ML při restartování Winampu z minimalizovaného stavu.
* Opraveno: [gen_ml] Zrušení výzvy k zadání hesla pro online média vymaže heslo a filtry
* Opraveno: [in_dshow] Chybný výpočet délky některých videí mpeg
* Opraveno: [in_flac] Pád funkce Divide-by-zero u poškozených souborů
* Opraveno: [in_mp3] Odstranění tagu Lyrics3 v editoru Alt+3 odstraní také tag ID3v1
* Opraveno: [in_mp3] Zpracování ID3v2 se špatnými čísly verzí/revizí
* Opraveno: [in_mp3] Pád parsování ID3v2 u některých mp3
* Opraveno: [in_mp3] ID3v2 tag se nezobrazuje, když je v konfiguraci zakázáno čtení ID3v1 tagu
* Opraveno: [in_mp3] Informace MPEG se nezobrazují v Alt+3 u souborů s velkými tagy ID3v2
* Opraveno: [in_mp3] Nyní se čte pouze první ID3v2 tag, pokud je jich více než jeden.
* Opraveno: [in_mp3] Uživatelské rozhraní Winampu zamrzá při načítání některých poškozených mp3 souborů
* Opraveno: [in_mp4] Přehrávání mp3 v kontejneru mp4
* Opraveno: [in_mp4] Vyhledávání při pozastavení
* Opraveno: [in_mp4/jpeg.w5s] Pád, když je pole Art v metadatech bez vloženého umění
* Opraveno: [in_vorbis] Optimalizace UTF8->UTF16 (opravuje chybu zpoždění informací o souboru)
* Opraveno: [libmp4v2] Poškozené soubory m4a se nepřehrávají, lepší zpracování neopravitelných souborů.
* Opraveno: [ml_autotag] Pád, když skladba není součástí disku, např. vydání pouze pro internet.
* Opraveno: [ml_autotag] Zastaví se zpracování při přepnutí do jiného zobrazení ml
* Opraveno: [ml_disc] Zobrazení CD/titulků se neobnovuje při vysunutí starého/vložení nového CD
* Opraveno: [ml_disc] Pád při použití neplatných řetězců při generování názvu souboru playlistu
* Opraveno: [ml_disc] Při některých konfiguracích systému není k dispozici tlačítko Vypálit
* Opraveno: [ml_disc/ml_pmp/ml_transcode] Zpracování # v cestě k cílové složce
* Opraveno: [ml_local] Sloupec Umělec v sestupném pořadí při řazení podle roku
* Opraveno: [ml_local] Klávesa dolů v poli Hledat nezaostřuje seznam jednoduchého zobrazení
* Opraveno: [ml_local] Pořadí řazení sloupců Poslední aktualizace, Zisk alba a Podcast
* Opraveno: [ml_local] Dva filtry vždy zaškrtnuté v zobrazení Úpravy pro jednoduché zobrazení.
* Opraveno: [ml_playlists] Klávesová zkratka Shift+Enter pro Enqueue playlistu.
* Opraveno: [ml_plg] Pád při zastavení skenování generátoru seznamů skladeb nebo obnovení databáze
* Opraveno: [ml_pmp] Pořadí řazení sloupců
* Opraveno: [ml_rg] Obnovení z minimalizovaného stavu při otevřeném dialogu výsledků rg
* Opraveno: [ml_transcode] Obnovení z minimalizovaného stavu při otevřeném dialogovém okně konfigurace.
* Opraveno: [ml_wire] Podcasty nejsou stahovány, pokud <title> obsahuje znaky s uvozovkami
* Opraveno: [ml_wire] Zablokování při setkání se skripty v poli <description>.
* Opraveno: [out_disk] Výstupní složka se vždy resetuje na Moje dokumenty\Moje hudba
* Opraveno: [pmp_ipod] Možnost "Přidat obal alba" vždy zaškrtnuta
* Opraveno: [tataki] Možný pád při výskytu neplatné/povrchní chyby
* Opraveno: [vis_milk2] Pád při ukončení fullscreenu zpět do připojeného okna Modern skin
* Různé: Automatické označování pomocí Alt+3 nyní ukládá pole Gracenote FileId a ExtData
* Různé: Dvojklikem na indikátor Stereo otevřete předvolby přehrávání (skiny Bento a Modern)
* Různé: Instalace je nyní znemožněna v systému Win9x
* Různé: Z Milkdrop2 se stal výchozí zásuvný modul vis
* Různé: Rozdělení předvoleb přehrávání do 3 záložek: Přehrávání, Ekvalizér a Zisk při přehrávání
* Různé: Různé úpravy nastavení instalátoru a překladu lokalizace
* Různé: Různé opravy, úpravy a vylepšení skinu Bento
* Různé: Různé aktualizace související s Winamp Modern skinem 5.5
* Různé: [ml_local] Odstraněna zastaralá volba "Zobrazit hodnoty zisku alba" v Předvolbách
* Aktualizováno: Bento skin #117
* Aktualizováno: Gracenote MusicID/CDDB v2.5.1
* Aktualizováno: libpng 1.2.22
* Aktualizováno: [vis_milk2] MilkDrop 2.0c

Winamp 5.5 [Oct 9 2007]
* Novinka: Bento SingleUI Skin
* Novinka: Automatický značkovač v dialogovém okně Informace o souboru (poháněný Gracenote)
* Novinka: Podpora obalů alb, včetně nového okna pro Winamp Modern skin
* Novinka: Plně přeložitelná podpora lokalizace
* Novinka: Podpora typu souboru WLZ (Winamp Language Zip)
* Novinka: Globální nastavení "priority přehrávacího vlákna" pro dekodéry
* Novinka: Media Monitor a MP3 Blog scraper (v prohlížeči Bento)
* Novinka: Možnost nastavit počet řádků, které se mají posouvat v seznamu přehrávání. 
* Novinka: Možnost nezobrazovat číslo položky playlistu v klasickém songtickeru
* Novinka: Možnost nezobrazovat číslo seznamu skladeb na hlavním panelu systému Windows.
* Novinka: * možnost změnit seznam skladeb na seznam skladeb: Přepracovaný instalátor
* Novinka: Spustit přepínač nastavení, winamp.exe /REG=S
* Novinka: (pro mp3, m4a, wma, ogg, flac).
* Novinka: * Zpřesnění a doplnění aplikace pro ukládání souborů, např: Výběr z rozbalovacího seznamu Historie verzí a vyhledávání (v dialogu O aplikaci)
* Novinka: Panel nástrojů Winamp pro Internet Explorer (volitelně)
* Novinka: řetězec %family% ATF pro identifikaci typů souborů
* Novinka: funkce $split() ATF pro rozdělení řetězců x/y disku a stopy
* Novinka: [in_mp3] Podpora vícekanálového mp3surround
* Novinka: [gen_ml] Karta Možnosti stromu v předvolbách knihovny médií
* Novinka: [ml_autotag] Hromadné automatické označování v nabídce Send-To (poháněno službou Gracenote)
* Novinka: [ml_local] Možnosti zobrazení 3 panelů v dialogovém okně "Přidat/upravit zobrazení".
* Novinka: [ml_local] Inteligentní předvolby zobrazení
* Novinka: [ml_local] Podpora/služba pro vyhledávání a načítání obalů alb
* Novinka: [ml_local] Tlačítka na panelu nástrojů pro ovládání možností zobrazení
* Novinka: [ml_plg] Generátor seznamů skladeb Winamp (podporovaný službou Gracenote MusicID).
* Novinka: [ml_pmp] Nová pole, konfigurovatelné panely a sloupce filtrů, zobrazení ve 3 panelech.
* Novinka: [ml_pmp] Zobrazení obalů alb a podpora zařízení iPod a P4S
* Novinka: [ml_pmp] Samostatné zobrazení pro videosoubory
* Novinka: [vis_milk2] Vizualizér Milkdrop2
* Vylepšeno: Obecná různá vylepšení a úpravy uživatelského rozhraní/dialogů
* Vylepšeno: Vyladěný a optimalizovaný klasický spektrální analyzátor
* Vylepšeno: Indikátor prostorového zvuku ve Winamp Modern skin pro vícekanálové soubory
* Vylepšeno: Klasický Songticker pro Winamp Modern skin (přes zásuvku Config)
* Vylepšeno: [in_cdda] Podpora metadat dirigenta
* Vylepšeno: [in_cdda] Zpracování více disků
* Vylepšeno: [in_flac/in_vorbis] Podpora čtení ALBUM ARTIST & ENSEMBLE.
* Vylepšeno: [in_flac] Pokročilý režim editoru
* Vylepšeno: [in_mod] Přidána podpora pro více než 256 vzorků.
* Vylepšeno: [in_mp3] Rychlejší shromažďování metadat (zrychluje také skenování ReplayGain).
* Vylepšeno: [in_mp4] Vyhlazení dat odesílaných do vis a další drobná vylepšení
* Vylepšeno: [in_wm] Rychlejší sběr metadat WMA/WMV
* Vylepšeno: [gen_ff] Obecné optimalizace freeform skinovacího enginu
* Vylepšeno: [gen_ml] Složený/rozložený stav položek stromového zobrazení se nyní pamatuje.
* Vylepšeno: [gen_ml] Skinovací posuvníky v knihovně médií pro novější Modern skiny.
* Vylepšeno: [gen_ml] Změna pořadí položek stromového náhledu (pomocí drag+drop)
* Vylepšeno: [ml_disc] Lepší podpora Unicode a další drobná vylepšení.
* Vylepšeno: [ml_history] Podpora Unicode
* Vylepšeno: [ml_local] Přizpůsobit nabídku sloupců pro horní panely filtrů
* Vylepšeno: [ml_local] Možnost zobrazit vodorovný posuvník pro horní panely
* Vylepšeno: [ml_local] Nové zobrazení "Podcasty" (zobrazí se po stažení podcastu)
* Vylepšeno: [ml_local] Přidány názvy polí ISPODCAST a PODCASTCHANNEL.
* Vylepšeno: [ml_local] Přidán operátor porovnání BEGINSLIKE
* Vylepšeno: [ml_local] Přetažením záhlaví se seřadí pořadí sloupců.
* Vylepšeno: [ml_local] Přepracován editor inteligentního zobrazení
* Vylepšeno: [ml_local] Zobrazení a výběr hvězdičkového hodnocení
* Vylepšeno: [ml_pmp] Konfigurace "Kopírovat na místní médium" oddělena od nastavení Ripování CD
* Vylepšeno: [ml_pmp] Přenosné zařízení "Synchronizace" nyní může udržovat podcasty aktualizované
* Vylepšeno: [ml_rg] Podpora výpočtu ReplayGain pro 64, 88,2 a 96 KHz samplery.
* Vylepšeno: [ml_wire] Volitelné automatické stahování nových epizod podcastů
* Vylepšeno: [ml_wire] Výběr z více možností, nabídka "Odeslat komu" a další obecná vylepšení.
* Vylepšeno: [ml_wire] Stažené podcasty se nyní ukládají do podsložek kanálů.
* Vylepšeno: [ml_wire] Aktualizován adresář podcastů
* Vylepšeno: [pmp_ipod] Pro podcasty se nyní používá nabídka podcastů v iPodu.
* Opraveno: "Všechny podporované soubory" zobrazuje všechny typy souborů v dialogovém okně Otevřít soubory.
* Opraveno: Nefungující klávesa Esc na kartách Credits a Winamp v okně O aplikaci
* Opraveno: Poškozené dlouhé cesty k souborům při otevření Winampu přes kontextovou nabídku Průzkumníka
* Opraveno: Nadměrně velké stránky předvoleb při nastavení velkého DPI
* Opraveno: Opakování chyby více instancí (dříve opraveno ve verzi 5.3)
* Opraveno: Výběr možnosti "Ne" pro výzvu "Fyzicky odebrat" odstraní položku playlistu/mldb.
* Opraveno: Nefungující tlačítko TV v okně videa
* Opraveno: Zobrazení oken při přepnutí z moderního na klasický skin v minimalizovaném stavu
* Opraveno: [ASX Loader] Rekurzivní načítání seznamu skladeb a porovnávání prvků bez ohledu na velikost písmen.
* Opraveno: [ASX Loader] Zpracování položek vložených v rámci značky REPEAT
* Opraveno: [dsp_sps] Nekompatibilita DEP
* Opraveno: [gen_ff] "Nelze odemknout skript, když je ve skriptu" chyba při přepínání skinů
* Opraveno: [gen_ff] Zapamatování velikosti ML při přepínání mezi moderními a klasickými skiny
* Opraveno: [gen_ff] Průhledné dokované panely nástrojů pro skiny používající alfa-blending
* Opraveno: [gen_ff] 10 % neprůhlednost se neuplatňuje u skinů, které přidávají položky do nabídky rt-kliknutí
* Opraveno: [gen_jumpex] Pád při načítání více souborů přes kontextovou nabídku Průzkumníka.
* Opraveno: [gen_jumpex] Akce Odstranit duplicitní položky nefunkční v pleditu.
* Opraveno: [gen_ml] %playcount% vrací komentář při drag+drop z ML do pledit
* Opraveno: [gen_ml] Klávesové zkratky Shift+Insert (Nový seznam skladeb) a F1 (Nápověda).
* Opraveno: [in_cdda] Pád CDDB při pokusu o ripování CD ve druhé instanci Winampu.
* Opraveno: [in_flac] Obecné vady editoru FLAC (pole Komentáře, klávesa Enter atd.)
* Opraveno: [in_flac] 24bitové soubory se nepřehrávají, pokud je vypnuto nastavení "Povolit 24bit".
* Opraveno: [in_mod] Hodnota Fadeout v konfiguraci in_mod klesne pod 0,0 s.
* Opraveno: [in_mod] Chyba při pádu interpolátoru 'dělení nulou'.
* Opraveno: [in_mp3] Pád u některých mp3 s poškozenými rozšířenými hlavičkami ID3v2 (vzácné).
* Opraveno: [in_mp3] Pád při načítání poškozených tagů id3v2.3 pozdější revize.
* Opraveno: [in_mp3] Záporný datový tok v informacích o souboru pro dlouhé mp3
* Opraveno: [in_mp4] Závada při úpravě metadat při přehrávání skladby
* Opraveno: [in_mp4/libmp4v2] Úniky paměti
* Opraveno: [in_wave/libsndfile] Pád při neplatných souborech .au 
* Opraveno: [in_wm] Zbytečné znaky při úpravě typů souborů v konfiguraci
* Opraveno: [in_wm] Potenciální problém se zablokováním DRM
* Opraveno: [ml_disc] 0 bajtové dočasné soubory nebyly po ripování odstraněny.
* Opraveno: [ml_disc] Dvojklik na ikonu jednotky v Rip & Burn nevybírá stromovou položku.
* Opraveno: [ml_disc] Pád při použití <trackartist> při generování názvu souboru v playlistu.
* Opraveno: [ml_disc] Přetažení ze zobrazení Audio CD do Editoru seznamu skladeb
* Opraveno: [ml_local] Přidání položek (bez alba) do počtu alb v podokně Umělec
* Opraveno: dotazy [ml_local] isempty a =0 nyní vracejí stejné výsledky
* Opraveno: [ml_local] Přidání adresáře do cesty "Sledované složky" zkráceno na 64 znaků
* Opraveno: [ml_pmp] Vložení další tečky do názvu souboru při překódování do mp4/aac
* Opraveno: [ml_pmp] Odesílání názvů převedených do ansi místo do Unicode
* Opraveno: [ml_pmp] Vytváření titulků při přenosu, když jsou metadata umělce prázdná.
* Opraveno: [ml_wire] Nastavení aktualizací předplatného se vždy resetuje na hodnotu "Nikdy".
* Opraveno: [pmp_ipod] Možné problémy s nekompatibilitou s nejnovější verzí iTunes. 
* Opraveno: [pmp_p4s] "Chyba při vkládání" při přenosu do některých zařízení P4S
* Opraveno: [pmp_usb] Pomalé spouštění Winampu při připojení externí jednotky USB 
* Opraveno: [vis_milk] Nekompatibilita Milkdrop DEP
* Různé: Winamp Remote je nyní volitelný instalátor (ml_orb.dll)
* Různé: Přesun kreslicího jádra z gen_ff do tataki.dll
* Různé: Přesun vykreslovače písem freetype z gen_ff do freetype.wac
* Různé: Odstraněna zastaralá podpora jazykových souborů .LNG
* Různé: Odstraněn soubor db.w5s (nahrazen novým databázovým systémem Gracenote)
* Různé: Odstraněno okno s informacemi o stanici a stránka Předvolby
* Různé: Odstraněny soubory unicows.lib/dll, protože jsme oficiálně ukončili podporu systému Win9x.
* Aktualizováno: Gracenote MusicID/CDDB v2.5
* Aktualizováno: libpng 1.2.20
* Aktualizováno: [enc_aacplus] Coding Technologies aacPlus Encoder v8.1.0
* Aktualizováno: [gen_jumpex] JTFE v0.99.2
* Aktualizováno: [in_flac] FLAC 1.2.1
* Aktualizováno: [in_mp3] Dekodér FhG v4.10
* Aktualizováno: [in_vorbis] libvorbis 1.2.0

Winamp 5.3.5 [May 10 2007]
* Vylepšeno: Podpora aktuálního překladu základních řetězců a dialogových oken
* Vylepšeno: Opraveno tematické zobrazení dialogových oken s kartami ve WinXP+.
* Vylepšeno: Různá drobná vylepšení/úpravy
* Opraveno: Další opravy záložek v uživatelském rozhraní a v předvolbách
* Opraveno: [in_cdda] Pád CDDB s neanglickými znaky v uživatelské cestě
* Opraveno: [in_cdda] Přehrávání mixovaných CD bez mezer pomocí Sonic Engine
* Opraveno: [in_flac] Zkrácení pole Žánr v editoru Flac
* Opraveno: [in_mp3] Nekompatibilita se značkami musicbrainz.
* Opraveno: [in_mp3] Zkrácení dlouhých URL streamů v dialogu Alt+3
* Opraveno: [in_mp3] Délka stopy se nezobrazuje u mp3 s velkým vloženým coverartem.
* Opraveno: [in_mp4] Chyba přetečení bufferu při parsování souborů MP4
* Opraveno: [in_vorbis] Tlačítko Storno v editoru Vorbis
* Opraveno: [in_vorbis] Tabbing v editoru Vorbis
* Opraveno: [in_wm] Obrácení polí Umělec a Název v editoru WMA
* Opraveno: [in_wm] Pád při pokusu o přehrání nesprávně vytvořených seznamů skladeb ASX.
* Opraveno: [ml_local] NOTHAS a != s prázdnými poli
* Opraveno: [ml_wire] (4294967295%) při stahování sc wire
* Opraveno: [ml_wire] Chyba při stahování Podcast (chyba neinicializované proměnné).
* Opraveno: [pmp_p4s] Pád při synchronizaci/přenosu.
* Aktualizováno: [gen_jumpex] Skok na soubor Extra v0.99.1b

Winamp 5.3.4 [Apr 20 2007]
* Novinka: podpora IPv6
* Vylepšeno: Instalační program odstranil in_mp3pro :/
* Vylepšeno: Vložené stránky IE nyní běží v samostatném vlákně
* Vylepšeno: Obecné optimalizace rychlosti a výkonu
* Vylepšeno: Opravy blikání při změně velikosti knihovny médií
* Vylepšeno: Vykreslování videa GDI+ pro systém Windows Vista
* Vylepšeno: IPC_CONVERTFILE nyní používá api_decodefile (pro ripování a překódování)
* Vylepšeno: [in_wave] Přidána podpora ATF pro %bitrate%
* Vylepšeno: [gen_ff] Lepší zpracování neplatného XML při načítání skinů
* Vylepšeno: [gen_jumpex] Podpora JTFE Unicode
* Vylepšeno: [ml_local] Zobrazení kompozitoru / alba (v zobrazení Úpravy, karta Filtry).
* Vylepšeno: [ml_local] Podpora přetahování a odesílání do Unicode
* Vylepšeno: [ml_local] Přidána možnost použít interpreta jako interpreta alba
* Vylepšeno: [ml_local] Aktualizováno 'Názvy polí' v dokumentaci dotazu Smart View
* Vylepšeno: [ml_pmp] Podpora PMP Unicode
* Opraveno: ???? na hlavním panelu a systémové liště s názvy Unicode (všimněte si, že mnoho zásuvných modulů třetích stran způsobí, že se vrátí zpět na ????).
* Opraveno: Vypalování CD v systému Windows Vista
* Opraveno: Klasický posuvník se zobrazením překryvu při zapnuté funkci "hladké změny velikosti".
* Opraveno: Pád při ukončení se zakotveným panelem nástrojů playlistu (chyba ml_local/ml_playlists)
* Opraveno: Neustálé překreslování/blikání při vykreslování videa DirectDraw (režim bez překrytí)
* Opraveno: Chyba uzamčení složky po použití dialogu Otevřít soubory/složku
* Opraveno: Instalace nástroje Sonic Engine v systémech s jinými produkty Sonic/Roxio.
* Opraveno: Instalační program resetoval cwd= na instalační adresář
* Opraveno: Chyba překreslování při přesouvání externích oken přes Pledit
* Opraveno: Pořadí karet v Předvolbách
* Opraveno: Různé problémy s přístupností/zaostřováním knihovny médií
* Opraveno: Pád videa při použití WinKey+L
* Opraveno: [enc_lame] Lepší výběr výstupní vzorkovací frekvence pro překódování
* Opraveno: [enc_wav] WAV chybí prvních 11 samplů
* Opraveno: [gen_ff] Ukazatele nástrojů se zobrazují pouze na primárním monitoru
* Opraveno: [gen_jumpex] Problémy se stabilitou a klíčové nahlášené chyby zásuvného modulu.
* Opraveno: [gen_ml] Problém se zaostřením klávesnice
* Opraveno: [gen_ml] Chyba zarovnání uzlů
* Opraveno: [in_cdda] Chyba dlouhých informací o umělci/albumartistovi na CD
* Opraveno: [in_cdda] Pád při ukončení Winampu po přehrání zvukového CD
* Opraveno: [in_cdda] Chyba pádu při zavření CDDB
* Opraveno: [in_cdda] CD-Text se přidává na konec polí cddb místo toho, aby se nejprve vymazal
* Opraveno: [in_dshow] Možný pád při poškozených/neformálních mediálních souborech
* Opraveno: [in_dshow] Pád při skenování ml složek obsahujících videa na síťovém disku
* Opraveno: [in_mod] Chyba poškození paměti souborů .s3m a .it
* Opraveno: [in_mp3] Únik paměti při načítání informací o souborech .aac
* Opraveno: [in_mp3] Závady při přehrávání souborů .aac / out_wave
* Opraveno: [in_vorbis] Odstranění značky alba při použití ml 'upravit vybrané položky'
* Opraveno: [in_wm] Pád při pokusu o vypálení souborů WMA
* Opraveno: [libsndfile] chyba poškození paměti matlabu (.mat)
* Opraveno: [ml_local] Značka Composer se neukládá při použití funkce 'Upravit informace'.
* Opraveno: [ml_local] Celková velikost se nezobrazuje v zobrazeních místních médií.
* Opraveno: [ml_local] Možnost duplicitních záznamů při aktualizaci po opětovném skenování složek. 
* Opraveno: [ml_local] (Bez interpreta alba) a (Bez vydavatele) někdy nezobrazuje žádné výsledky
* Opraveno: [ml_local] Řazení panelu Album podle roku
* Opraveno: [ml_local] isempty/isnotempty pro dotazování prázdných/vyplněných polí
* Opraveno: [ml_local] Nefunkční vyhledávání v jednoduchých zobrazeních (specifické pro Win2k)
* Opraveno: [ml_playlists] Nefunkční přetahování seznamů skladeb na zařízení pmp 
* Opraveno: [ml_pmp] Možný pád při mazání skupiny skladeb, která obsahuje nesouvislé duplikáty.
* Opraveno: [ml_pmp] Překlep "haven't" v předvolbách :-D
* Opraveno: [ml_rg] Analýza ReplayGain selhává u monofonních mp3.
* Opraveno: [ml_rg] Nyní přeskakuje soubory DRM WMA místo použití zisku -24601 dB.
* Opraveno: [ml_transcode] Nyní zabraňuje stejnému názvu zdrojového a cílového souboru.
* Opraveno: [ml_wire] Pád při setkání s některými ne-xml kanály.
* Opraveno: [pmp_ipod] Nekompatibilita s iTunes 7.1
* Opraveno: [pmp_p4s] Nefunguje spouštění Winampu při vložení zařízení.
* Opraveno: [pmp_p4s] Již nevytváří soubory .alb na zařízeních, která je nepodporují.
* Aktualizováno: in_vorbis na libvorbis 1.1.2 a libogg 1.1.3
* Aktualizováno: in_flac 2.0 (na základě FLAC 1.1.4)
* Aktualizováno: MusicIP Mix (dříve Predixis MusicMagic) v1.1
* Aktualizováno: Sonic Ripping/Burning Engine v3.6.36.500
* Aktualizováno: [gen_jumpex] Jump To File Extra v0.99.1a

Winamp 5.3.3 [Feb 13 2007]
* Vylepšeno: [gen_ml] podpora unicode názvů položek stromu
* Vylepšeno: [NDE] optimalizace rychlosti
* Vylepšeno: [ml_history] lokalizované datumy
* Vylepšeno: [ml_local] podpora knihovny médií Unicode
* Vylepšeno: [ml_playlists] nyní používá m3u8 pro zachování unicode informací o souborech
* Vylepšeno: [ml_playlists] seznamy skladeb v podnabídce send-to
* Vylepšeno: [ml_pmp] přehrávání ze zařízení unicode názvů souborů
* Vylepšeno: [ml_wire] přesunuta stránka objevování na hlavní stránku
* Vylepšeno: [pmp_p4s] automatická detekce podporovaných formátů souborů
* Opraveno: Problém s více uživateli agenta Winamp
* Opraveno: oprava načítání adresářů se seznamy skladeb (znovu)
* Opraveno: rekurzivní načítání seznamu skladeb
* Opraveno: zablokování videa při přepínání nastavení zobrazení videa
* Opraveno: generování seznamu skladeb v HTML
* Opraveno: vyčištění dočasných souborů po vypálení
* Opraveno: Alt+L z okna videa
* Opraveno: závada při vykreslování videa na celou obrazovku
* Opraveno: rekurzivní načítání zástupců
* Opraveno: Nahrávač ASX nečetl správně místní relativní cesty
* Opraveno: [gen_ml] & je třeba rozšířit na && pro všechny položky nabídky zobrazující názvy souborů
* Opraveno: [in_cdda] pád při ukončení při vysunutí CD
* Opraveno: [in_flac] neukládá genres.txt v adresáři pro více uživatelů
* Opraveno: [in_mp3] vytvoření tagu id3v2 při zápisu interpreta alba
* Opraveno: [in_mp3] řešení pro tagy id3v2.4 se špatně formátovanými velikostmi rámečků
* Opraveno: [in_vorbis] zápis prázdných metadat namísto vymazání
* Opraveno: [in_wave] někdy si nepamatuje vlastní rozšíření
* Opraveno: [in_wm] přetečení zásobníku u vícekanálového zvuku ve vysokém rozlišení se zapnutým replaygainem
* Opraveno: [in_wm] Editor informací o souboru neukládá interpreta alba
* Opraveno: [ml_local] Moderní skin pledit winshade 'Manage Playlist' tlačítko chyba
* Opraveno: [ml_local] ignorování souborů s elipsou (...)
* Opraveno: [ml_local] editace disku přes 'upravit vybrané položky'
* Opraveno: [ml_local] oprava třídění
* Opraveno: [ml_local] nabídka hodnocení
* Opraveno: [ml_local] pád při řazení podle replaygainu
* Opraveno: [ml_local] deadlock při načítání názvu pro odhad metadat
* Opraveno: [ml_local] již nezpůsobuje zobrazení unicode souborů v playlistu ?????.
* Opraveno: [ml_playlists] sloupec času a 'status' ve stavovém řádku
* Opraveno: [ml_playlists] odeslání do jiného playlistu vypisuje soubor playlistu namísto jeho obsahu
* Opraveno: [ml_pmp] <trackartist>
* Opraveno: [ml_pmp] Metadata se zobrazují jako -1
* Opraveno: [ml_rg] vícekanálové soubory se počítají nesprávně
* Opraveno: [ml_transcode] špatná/chybějící metadata u překódovaných souborů
* Opraveno: [ml_transcode] chyba při příliš dlouhých názvech souborů ("nelze otevřít cílový soubor").
* Opraveno: [ml_wire] podcasty, které mění názvy, se neaktualizují správně.
* Opraveno: [pmp_p4s] velkokapacitní paměťová zařízení se ve Vistě zobrazují jako zařízení Plays For Sure.
* Opraveno: [vis_milk] problémy s více uživateli
* Aktualizováno: Změny: [enc_aacplus] Kódovací technologie aacPlus enkodér 8.0.3
* Aktualizováno: [enc_flac] Flake r117
* Aktualizováno: [gen_jumpex] Jump To File Extra v0.97.11 (build 109)

Winamp 5.3.2 [21. listopadu 2006]
* Novinka: [ml_local] nové filtry pro třípanelové zobrazení (interpret alba, žánr, vydavatel)
* Novinka: [ml_local] možnost opětovného skenování metadat vybraných souborů
* Novinka: [ml_transcode] Nástroj pro překódování.  Převádějte soubory z jednoho formátu do druhého.
* Novinka: [pmp_activesync] Podpora zařízení se systémem Windows Mobile.
* Vylepšeno: Odeslat do v nabídce pravého tlačítka myši Songticker.
* Vylepšeno: * Vylepšena funkce pro přehrávání hudby v hudebních skladbách: [ml_local] sloupce interpret alba, disk, replaygain, skladatel, úplná cesta.
* Vylepšeno: [ml_local] lokalizovaná data
* Vylepšeno: [ml_local] dialogové okno pro procházení složek
* Vylepšeno: [ml_rg] nižší priorita vláken, aby se zabránilo zpomalení systému
* Opraveno: závada při vykreslování času v klasickém playlistu skinů
* Opraveno: pomalé načítání seznamu skladeb se sdílenými soubory v síti.
* Opraveno: Vypalování CD s Windows 98/ME
* Opraveno: blikání při zobrazení videa bez překryvu
* Opraveno: [gen_ml] ikony stromového zobrazení v systému Windows 98/ME
* Opraveno: [gen_ml] nepamatuje si režim moderního skinu na dokovacím panelu nástrojů 
* Opraveno: [gen_ml] snížení blikání zobrazení seznamu
* Opraveno: [in_flac] pád při zobrazení informací (alt+3) o neexistujících souborech.
* Opraveno: [in_mp3] nesprávně hlášená délka u kódování Easy CDDA Extractoru
* Opraveno: [in_mp4] nemožnost přehrát zkrácené soubory M4A
* Opraveno: [in_vorbis] pád u velmi krátkých souborů
* Opraveno: [jnetlib] HTTP timeouty u streamů se znakem 255 v hlavičkách HTTP
* Opraveno: [ml_disc] Zobrazení CD někdy způsobuje blikání všech otevřených oken
* Opraveno: [ml_history] pád při vypnutí a opětovném zapnutí zobrazení
* Opraveno: [ml_playlists] poškozené zobrazení při rolování
* Opraveno: [ml_wire] pád při parsování podcastů se špatně vytvořenými daty

Winamp 5.3.1 [24. října 2006]
* Novinka: [in_cdda] Podpora čtení textu CD (se zapnutým sonickým enginem)
* Novinka: [in_flac] Dekodér Nullsoft FLAC
* Novinka: [enc_flac] Nullsoft FLAC Encoder
* Vylepšeno: [ml_disc] Chytřejší tagování při ripování skladeb
* Vylepšeno: [in_cdda] Lepší metadata CD
* Vylepšeno: [in_mp3] podpora čtení ID3v2.4 pro nesynchronizaci na snímek
* Vylepšeno: [in_mp4] podpora HTTP streamování
* Vylepšeno: [in_wave] Podpora streamování HTTP
* Vylepšeno: [in_wm] následuje nastavení přehrávání 24bit/mono/surround 
* Opraveno: načítání složek prostřednictvím seznamů skladeb
* Opraveno: ikony zástupců pro víceuživatelské instalace
* Opraveno: Ikony zástupců pro staré skiny wa3 (chybí soubor filereader.w5s)
* Opraveno: zkrácený text v historii verzí
* Opraveno: zpracování zástupců ve složkách
* Opraveno: [dsp_sps] jednoduchá předvolba výšky tónu a tempa (díky ujay)
* Opraveno: [gen_ff] System.playFile nefunguje na adresách URL.
* Opraveno: [in_mp3] vyhledávání od konce souboru
* Opraveno: [in_mp3] problém s kvalitou
* Opraveno: [in_mp3] náhodný pád při zápisu ID3v2 tagu
* Opraveno: [in_mp3] nesprávná délka skladby u zřetězených souborů MP3
* Opraveno: [in_mp3] závada bez mezery
* Opraveno: [in_mp3] maximální počet přesměrování zvýšen na 3, aby bylo možné přehrávat některé podcasty s šílenými php skripty.
* Opraveno: [in_mp3] bezpečnostní chyba lyrics3 (díky iDefense)
* Opraveno: [in_mp3] bezpečnostní zranitelnost ultravox (díky iDefense)
* Opraveno: [in_mp3] problémy s vyhledáváním u souborů s více tagy id3v2
* Opraveno: [ml_disc] ripování disků s mezinárodními tituly
* Opraveno: [ml_local] rozbití funkce "vždy nahoře" pro jiné programy
* Opraveno: [ml_local] nedodržení volby 'Použít informace o názvu knihovny pro formátování položek playlistu'.
* Opraveno: [ml_local] číslo stopy se v názvu zobrazuje jako 4294967295
* Opraveno: [ml_playlists] únik paměti
* Opraveno: [ml_pmp/pmp_ipod/pmp_usb] chybová zpráva "v mechanice není disk".
* Opraveno: [out_ds] logaritmické/hybridní ovládání hlasitosti
* Opraveno: [pmp_p4s] pád při stopách s délkou 0
* Opraveno: [pmp_usb] špatný zápis xml

Winamp 5.3 [Sep 26 2006]
* Novinka: Podpora názvů souborů a názvů v Unicode
* Novinka: Podpora seznamu skladeb M3U8 (Unicode)
* Novinka: volitelné 24bitové přehrávání pro mnoho kodeků (zapněte v Předvolby->Přehrávání)
* Novinka: Podpora Replaygain pro MP3, AAC, Vorbis, M4A a WMA
* Novinka: přidání ml zobrazení a seznamů skladeb do podnabídky Přehrát-> v kontextové nabídce pravého tlačítka myši
* Novinka: přidán mimetyp interface/x-winamp3-skin pro skiny WAL.
* Novinka: [ml_dash] Portál s personalizovaným obsahem
* Novinka: [ml_disc] volitelné skenování replaygainu po ripu (zapněte v předvolbách ripování CD)
* Novinka: [ml_pmp] Překódování. Převádí nekompatibilní soubory za chodu pro vaše přenosné zařízení.
* Novinka: [ml_pmp] Přehrávání nyní funguje pro zařízení playsForSure a Creative NJB.
* Novinka: [ml_pmp] "Kopírovat do knihovny" - přenos skladeb z libovolného zařízení do místní knihovny (používá nastavení ripování CD).
* Novinka: [ml_pmp] Podpora synchronizace videa pro přenosná zařízení
* Novinka: [ml_rg] skener přehrávání (přístup přes nabídku Odeslat do)
* Novinka: [pmp_ipod] podpora přehrávání bez mezer u novějších modelů
* Novinka: [pmp_usb] Podpora USB disků. Nyní mohou všechny přehrávače MP3 s flashdiskem pracovat s Winampem.
* Vylepšeno: celoobrazovkový vyhledávací panel videa
* Vylepšeno: Aktualizace ATF
* Vylepšeno: Stejnosměrný filtr na spektrální vizualizaci, aby se odstranilo zkreslení basů
* Vylepšeno: vyčištění předvoleb
* Vylepšeno: rychlejší zápis PLS
* Vylepšeno: podpora 24bitového ekvalizéru
* Vylepšeno: Možnost "Zavřít Winamp" po instalaci (po kliknutí na tlačítko "Odeslat")
* Vylepšeno: [enc_aacplus] Vylepšeno kódování AAC a aacPlus!
* Vylepšeno: [enc_aacplus] ukládá informace bez mezer kompatibilní s itunes/ipodem.
* Vylepšeno: [enc_lame] přidáno přednastavené střední a rychlé střední
* Vylepšeno: [enc_wma] VBR a bezeztrátové režimy
* Vylepšeno: [gen_ff] lepší zobrazení vzorkovací frekvence
* Vylepšeno: [in_cdda] vyšší rychlost ripování díky vylepšené vyrovnávací paměti a multithreadingu
* Vylepšeno: [in_dshow] čtení metadat AVI
* Vylepšeno: [in_dshow] lepší podpora WAV
* Vylepšeno: [in_mp3] 24bitové přehrávání MP3, 64bitová interní přesnost
* Vylepšeno: [in_mp3] podpora streamování id3v2
* Vylepšeno: [in_mp3] podpora replaygain pro přehrávání MP3
* Vylepšeno: [in_mp3/in_mp4] přehrávání 24bit AAC
* Vylepšeno: [in_mp3/in_mp4] přehrávání bez mezer kompatibilní s itunes
* Vylepšeno: [in_mp3/in_mp4] podpora kontejnerů mp3-in-mp4
* Vylepšeno: [in_mp4] přehrávání bez mezer (většinou) kompatibilní s FAAC.
* Vylepšeno: [in_wave] lepší výběr výstupů v bitech na vzorek
* Vylepšeno: [ml_playlists] přidány chybějící položky z kontextových nabídek pledit
* Vylepšeno: [ml_playlists] možnost nezobrazovat seznamy skladeb v nabídce send-to
* Vylepšeno: [ml_pmp] V zobrazeních skladeb se zobrazují pouze relevantní sloupce.
* Vylepšeno: [ml_pmp] "Získání metadat" je nyní mnohem rychlejší
* Vylepšeno: [ml_pmp] zařízení lze nyní přejmenovat
* Vylepšeno: [ml_pmp] do položky stromu přenositelných zařízení přidán postup (již žádné přepínání zobrazení)
* Vylepšeno: [ml_pmp] hádání metadat na základě názvu souboru
* Vylepšeno: [ml_pmp] vylepšen výkon grafického rozhraní
* Vylepšeno: [pmp_ipod] podpora pro iTunesLock
* Opraveno: vypalování souborů, které vyžadují převzorkování.
* Opraveno: vícenásobné kopie Winampu při otevření příliš mnoha souborů/složek z průzkumníka.
* Opraveno: zamrznutí při ukončení Winampu v minimalizovaném stavu
* Opraveno: Zpoždění/závěs při načítání url adres mrtvého streamu
* Opraveno: pád při selhání funkce Directdraw při vytváření primárního povrchu
* Opraveno: omezení rychlosti vypalování na 4x u verze Pro
* Opraveno: manipulace s registrem při odpojování typů souborů
* Opraveno: lepší detekce vstupních zásuvných modulů videa
* Opraveno: oprava [dsp_sps] 24 bitů
* Opraveno: [enc_aacplus] kompatibilnější vytváření souborů HE AAC MP4
* Opraveno: [enc_lame] nefunkční předvolby vbr
* Opraveno: [enc_lame] podpora 24bitového vstupu
* Opraveno: [enc_lame] dolní hranice datového toku u alt-presetů
* Opraveno: [in_cdda] vyhledávání CDDB vymazání CELÉ mezipaměti playlistu
* Opraveno: [gen_ff] layerfx se nepřekresluje při změně barevného motivu
* Opraveno: [gen_ff] závada při kreslení gradientu a pád při kreslení
* Opraveno: [gen_ff] chyba vlastních barevných motivů
* Opraveno: [gen_jumpex] zavěšení při pozastavení nebo hibernaci
* Opraveno: [gen_ml] oprava ikon stromu (pád dělení nulou v ICM32.dll)
* Opraveno: [in_cdda] odříznutí několika posledních sektorů
* Opraveno: [in_dshow] pád při použití DSP/EQ na čemkoli větším než 16bitovém stereu
* Opraveno: [in_dshow] vyhledávání na klíčový snímek
* Opraveno: [in_midi] zkrácené přehrávání některých souborů MIDI
* Opraveno: [in_mod] chyba zobrazení názvu u modulových streamů bez názvu
* Opraveno: [in_mp3] pád při úpravě ID3 tagů
* Opraveno: [in_mp3] sdílení ID3v2 a ID3v1 tagů komentářů a žánrů.
* Opraveno: [in_mp3] Nepřesné zobrazení zbývajícího času pro soubory AAC.
* Opraveno: [in_mp3] do Viz po DSP
* Opraveno: [in_mp3] Podpora UTF-8 pro názvy streamů Icecast
* Opraveno: [in_mp4] detekce HE AAC v informačním okně souboru (Alt+3)
* Opraveno: [in_wm] Přehrávání DRM videa na určitém hardwaru
* Opraveno: [in_wm] zamrznutí při hledání pozastaveného wma
* Opraveno: [in_wm] Zavěšení s mrtvým odkazem WMV v pleditu v režimu opakování
* Opraveno: [in_wm] zamrznutí při zastavování streamů, které byly odmítnuty
* Opraveno: [in_wm] malý únik paměti při přehrávání každé stopy
* Opraveno: [in_wm] Windows Media Screen Codec nepřehrává správně.
* Opraveno: [ml_disc] Chyba při ripování CD / generování playlistů
* Opraveno: [ml_disc] Zobrazení ripování CD se zobrazuje při kliknutí na jiné zobrazení ml
* Opraveno: [ml_history] Zkratka Ctrl+H
* Opraveno: [ml_local] opraven pád při pokusu o vytvoření nového pohledu před načtením mldb.
* Opraveno: [ml_local] pád skenování na pozadí, když není načtena DB knihovny médií.
* Opraveno: [ml_local] naplánované skenování na pozadí se vždy spouští při startu systému
* Opraveno: [ml_online] Oprava chyby online médií (nepokoušejte se přehrávat NULL streamy).
* Opraveno: [ml_playlists] ztráta názvů streamů
* Opraveno: [ml_playlists] řazení podle názvu
* Opraveno: [ml_playlists] Odesílání To z místních médií do ml playlistů nahrazuje místo enqueues
* Opraveno: [ml_playlists] Enqueue jako výchozí rozbité v levém podokně
* Opraveno: [ml_playlists] Název seznamu skladeb > rt-kliknutí > Nový seznam skladeb = nefunkční
* Opraveno: [ml_playlists] Chyba v délce stopáže
* Opraveno: [ml_playlists] problém s cestami k playlistům
* Opraveno: [ml_pmp] Přenosy se zasekávají po setkání s duplikátem
* Opraveno: [out_ds] hlasitost nedosáhla 0 dB při použití logu nebo hybridního ovládání hlasitosti
* Opraveno: [pmp_ipod] Seznam interpretů v iPodu není správně řazen podle "The".
* Aktualizováno: Kódovací technologie aacPlus Encoder 8.0.0
* Aktualizováno: [gen_ff] Freetype 2.2.1
* Aktualizováno: [gen_ff] libpng 1.2.12
* Aktualizováno: [gen_jumpex] Jump-to-File 0.97.7
* Aktualizováno: [in_wave] libsndfile 1.0.16
* Aktualizováno: [libmp4v2] MPEG4IP mp4v2 1.5
* Aktualizováno: [enc_lame] LAME 3.97b3
* Aktualizováno: Sonic Engine 3.2.40.500

Winamp 5.2.4 [21. června 2006]
* Opraveno: [in_midi] chyba pádu a potenciální bezpečnostní chyba

Winamp 5.2.3 [Jun 8 2006]
* Vylepšeno: [gen_jumpex] vylepšena rychlost skoku do souboru
* Opraveno: ukládání playlistu se sdílenými síťovými soubory
* Opraveno: Předvolby knihovny médií se nenačítaly ve správném pořadí
* Opraveno: hlavní okno se nezobrazuje při obnovení z minimalizovaného stavu v klasickém skinu.
* Opraveno: pomalé načítání seznamů skladeb s adresami URL.
* Opraveno: Vypalování CD pomocí vstupních zásuvných modulů třetích stran
* Opraveno: zobrazení času seznamu skladeb v klasickém skinu winshade
* Opraveno: [gen_ff] Opravy související s písmem Wasabi XML od Martina Poehlmanna.
* Opraveno: [gen_ff] Funkce skriptu maki Map.getHeight() vrací místo šířky šířku
* Opraveno: [gen_ff] globální klávesové zkratky winshade nefunkční s moderními skiny
* Opraveno: [gen_jumpex] Problémy s funkcí "Přidat do fronty".
* Opraveno: [gen_jumpex] nekompatibilita s NT4
* Opraveno: [gen_jumpex] opravy různých chyb
* Opraveno: [gen_ml] změna ikony při přetahování položek.
* Opraveno: [in_mp3] přehrávání proudů AAC
* Opraveno: [in_mp4] chyba vyhledávání při použití klávesy se šipkou doprava
* Opraveno: [in_wm] Přehrávání se při úpravě značek aktuálně přehrávaného souboru .wma spustí znovu od začátku.
* Opraveno: [in_wm] obrácení protokolu/rozšíření v konfiguraci > typ souboru > upravit
* Opraveno: [in_wm] V konfiguraci vždy zaškrtnuto "Pouze zvuk" pro ASF/WMV.
* Opraveno: [in_wm] chyba vyhledávání při použití klávesy se šipkou doprava
* Opraveno: [ml_bookmarks] Položka nabídky "Upravit záložky" nefunguje, když je Knihovna médií skrytá.
* Opraveno: [ml_local] pád při změně uspořádání zobrazení knihovny médií
* Opraveno: [ml_local] pád při zavírání
* Opraveno: [ml_local] obrácená šipka řazení v některých sloupcích
* Opraveno: [ml_playlists] Import seznamů skladeb používá pro název místo názvu souboru obsahující dir.
* Opraveno: [ml_playlists] V Importovat seznamy skladeb ze složky není zaškrtávací políčko "Přesměrovat".
* Opraveno: [ml_playlists] Add Dir přidává všechny typy souborů (ne jen všechny podporované)
* Opraveno: [ml_playlists] nefunguje rt-click enqueue a další problémy
* Opraveno: [ml_playlists] Neukládání seznamů skladeb v některých situacích
* Opraveno: [ml_playlists] pád při načítání špatně vytvořených seznamů skladeb WPL
* Opraveno: [ml_playlists] drag&drop do playlistu nepřidává na správnou pozici
* Opraveno: [ml_playlists] při přidávání nového seznamu skladeb se neaktualizuje obrazovka kořenového seznamu skladeb
* Opraveno: [ml_playlists] vrácení změn při odeslání do: playlistu
* Opraveno: [ml_playlists] nefunkční drag+drop m3u soubory
* Opraveno: [ml_pmp] konečně opravena synchronizace duplicit (díky gordol)
* Opraveno: [ml_pmp] Problém s neukládáním odebíraných položek ze seznamu skladeb (díky Nickovi)
* Opraveno: [ml_wire] některé podcasty zobrazují pouze jednu položku
* Opraveno: [pmp_ipod] Třídění playlistů nyní opět funguje
* Opraveno: [out_ds] problém se zastavením při fade (shift+v)
* Aktualizováno: Opraveno: [in_cdda] CDDB 2.0.1.25

Winamp 5.2.2 [May 25 2006]
* Novinka: načítání dalších formátů playlistů: (ASX/WAX/WMX/WVX, WPL, B4S).
* Novinka: [gen_ff] podpora moderních unicode skinů
* Novinka: [in_wm] vypalování souborů chráněných DRM (pokud to poskytovatel obsahu povolí)
* Novinka: [ml_pmp] přenos seznamů skladeb do přenosných zařízení
* Vylepšeno: Více informativní stavové okno pro vypalování CD
* Vylepšeno: [gen_ff] optimalizace rychlosti moderního skinovacího enginu
* Vylepšeno: [gen_jumpex] odezva při vyhledávání skokem do souboru
* Vylepšeno: [gen_tray] vylepšena podpora balíčků ikon a další... (díky DrO)
* Vylepšeno: [in_wm] vylepšení hledání
* Vylepšeno: [in_wm] podpora WMA bez mezer
* Vylepšeno: [ml_nowplaying] Přepracováno zobrazení knihovny médií "Now Playing" (nyní skutečně funguje).
* Vylepšeno: [pmp_ipod] Zkráceny doby načítání pro iPody
* Opraveno: Winamp se neobnoví po minimalizaci s otevřeným dialogovým oknem.
* Opraveno: Zablokování formátování nadpisu pomocí funkce $abbr()
* Opraveno: Přidat složku přidává skladby PŘED poslední skladbu
* Opraveno: Kliknutí na tlačítko "Další" v nabídce OSD videa na celou obrazovku se chová, jako by se na něj kliklo dvakrát
* Opraveno: Hodnocení v kontextové nabídce pledit pravým tlačítkem myši se vždy zobrazuje "Bez hodnocení".
* Opraveno: Zastavení s fadeoutem (Shift+V) pouze zastaví přehrávání, bez fadeoutu
* Opraveno: Chyby a pády při vypalování CD
* Opraveno: Nefungující klávesa Delete v online službách nebo vyhledávání SC Wire
* Opraveno: [gen_jumpex] zpracování seznamu skladeb s více než 65 536 soubory.
* Opraveno: [gen_jumpex] opraveno 'na konci fronty'
* Opraveno: [gen_jumpex] nepamatuje si moderní skin pledit režim dokovacího panelu nástrojů
* Opraveno: [gen_jumpex] Velikost/pozice ML se nepamatuje při přepnutí z klasického na moderní a zpět na klasický skin
* Opraveno: [gen_jumpex] opravy různých chyb
* Opraveno: [gen_ml] chyba zpomalení zobrazení kořenových seznamů skladeb
* Opraveno: [gen_ml] Modern skin: Knihovna médií > Zobrazení (nabídka) > Zařízení 
* Opraveno: [in_midi] poškozená hlavička havarovala
* Opraveno: [in_mp4] pád zápisu metadat
* Opraveno: [in_mp4] chyba vyhledávání při použití klávesy se šipkou doprava
* Opraveno: [in_mp3] pád přehrávání MPEG-2 a MPEG-2.5 Layer 3
* Opraveno: [in_mp3] Pád Winampu při pokusu o přehrání nesprávně pojmenovaného souboru .aac.
* Opraveno: [in_wave] Oprava vypalování WAV
* Opraveno: [in_wave] Uzamčení souborů (soubory wav nelze přejmenovat/odstranit).
* Opraveno: [in_wm] uzamčení wma s vypršenou/neobnovitelnou drm licencí.
* Opraveno: [in_wm] nesynchronizovaný zvuk/video u některých streamů WMV
* Opraveno: [in_vorbis] plná cesta zobrazená v seznamu skladeb pro soubory bez tagů s vypnutým atf
* Opraveno: [ml_pmp] Duplikáty jsou synchronizovány
* Opraveno: [ml_pmp] Několik pádů během přenosů 
* Opraveno: [out_ds] Nelze vybrat různé výstupní zařízení se dvěma aktivními instancemi out_ds
* Opraveno: [out_ds] nesprávný výčet stereofonních výstupů pro dvě stejné profi zvukové karty

Winamp 5.2.1 [10. března 2006]
* Novinka: [jnetlib] Podpora komprese HTTP
* Vylepšeno: [instalátor] migrace víceuživatelských profilů
* Opraveno: [ml_wire] únik paměti
* Opraveno: [pmp_p4s] chyba DRMclien.dll
* Opraveno: [gen_ff] zobrazení informací o skinech v předvolbách
* Opraveno: [in_mp3] Vypnuto obtékání slov v poli komentářů editoru informací.
* Opraveno: [in_wm] Opravy drobných chyb
* Opraveno: Nefungují klávesové zkratky z okna videa.
* Opraveno: [in_vorbis] V názvech streamů nejsou metadata o umělci.
* Opraveno: [in_dshow] zvuk s plovoucí desetinnou čárkou 
* Aktualizováno: Kódovací technologie Dekodér AAC+ 7.2.5

Winamp 5.2 [Feb 23 2006]
* Novinka: [ml_pmp] Synchronizace knihovny médií s přenosným přehrávačem médií 
                Kompatibilita se zařízeními iPod, Creative a Microsoft Plays For Sure
* Novinka: [enc_aacplus] Kódovací technologie aacPlus s vysokým datovým tokem jsou k dispozici ve Winampu Pro.
* Novinka: [enc_aacplus] Coding Technologies aacPlus (HE-AAC) v kontejneru MP4
* Novinka: [enc_aacplus] Kodér Coding Technologies LC-AAC
* Novinka: [gen_ml] ikony ve stromovém zobrazení
* Novinka: [ml_online] Dynamický AJAX Internet Media Hub
* Novinka: [in_nsv] Použití přehrávání Coding Technologies AAC v kontejneru NSV
* Novinka: [in_mp3] Přehrávání MP3 bez mezer
* Novinka: [installer] možnosti víceuživatelských profilů
* Novinka: [instalátor] pamatuje si předchozí nastavení instalátoru
* Novinka: [in_wave] in_wave 3.0
* Novinka: zobrazení seznamu skladeb zprava doleva.
* Vylepšeno: nové funkce a značky ATF, včetně:
            $repeat(x, count) - vytvoří řetězec s x, který se opakuje početkrát.
            $lpad() - totéž jako $pad, ale přidá padding vlevo
            $decode(...) - funkce přepínače/přepínače velikosti písmen. příklad: $decode($fileext(%filename%),MP3,MPEG-1 Layer 3,MP4,MPEG-4 Container,Other)
            $IfStrEqual(string1,string2,result) - pokud se string1 a string2 rovnají, zobrazí výsledek. nerozlišuje velká a malá písmena.
            $IfStrEqual2(string1,string2,result,else) - pokud se string1 a string2 rovnají, zobrazí výsledek, jinak zobrazí else. nerozlišuje velikost písmen.
            %folder% - název složky nejvyšší úrovně souboru
* Vylepšeno: Stereofonní vizualizace beatů pro moderní skiny
* Vylepšeno: [gen_ff] nové režimy vis dostupné skinům
* Vylepšeno: [gen_ml] zobrazení informací o jednotce CD (Rip & Burn)
* Vylepšeno: [gen_tray] gen_tray v1.0 (díky DrO)
* Vylepšeno: [in_midi] poskytuje metadata do knihovny médií
* Vylepšeno: [in_mod] poskytuje metadata knihovně médií.
* Vylepšeno: [in_mp3] unicode id3 tagy
* Vylepšeno: [in_mp3] předběžná podpora id3v2.4
* Opraveno: nefunkční řazení playlistů
* Opraveno: problémy se seznamem skladeb s víceřádkovými značkami (např. %comment%)
* Opraveno: náhodné přehrávání pouze s jednou skladbou v seznamu skladeb
* Opraveno: zobrazení posuvníku hledání v případě, že Winamp během hledání ztratí zaměření.
* Opraveno: možnosti videa z kontextové nabídky okna videa po kliknutí pravým tlačítkem myši
* Opraveno: podpora mezinárodních znaků v seznamu skladeb v odstínu winshade
* Opraveno: podpora mezinárodních znaků pro zobrazení videa v celoobrazovkovém režimu
* Opraveno: bezpečnostní chyba při zpracování seznamu skladeb m3u (díky NSFOCUS a Information Risk Management Plc)
* Opraveno: bitová nádrž [enc_lame]
* Opraveno: [enc_lame] odříznutí posledního snímku
* Opraveno: [gen_ff] nefungují regiony na komponentách
* Opraveno: [gen_ff] chyba v seznamu skladeb a zaostření videa
* Opraveno: [gen_ff] únik paměti v seznamu skladeb a stínu obrazovky 
* Opraveno: [gen_ff] únik objektu GDI se stránkou předvoleb aktuálního skinu
* Opraveno: [in_midi] nedodržení možností formátování titulků Winampu.
* Opraveno: [in_midi] tlačítko reset blokuje další přístup ke konfiguraci
* Opraveno: [in_mod] nesleduje možnosti formátování názvu Winampu.
* Opraveno: [in_mp3] nesprávná identifikace verze (zobrazovala 5.18 ve verzi 5.12)
* Opraveno: [in_mp3] nesprávné zobrazení informací u souborů AAC+
* Opraveno: [in_mp3] načtení nesprávné značky id3 komentáře
* Opraveno: [in_mp3] někdy se nepodařilo načíst poslední id3 snímek
* Opraveno: [in_mp3] ztráta obalu alba id3v2 při úpravě tagů
* Opraveno: [in_mp4] ztráta obalu alba při úpravě metadat
* Opraveno: [in_vorbis] nedodržení možností formátování titulů Winampu
* Opraveno: [in_vorbis] použití registru (nyní bezpečné pro více uživatelů)
* Opraveno: [in_wave] 32bitové zkreslení přehrávání WAV s plovoucí desetinnou čárkou.
* Opraveno: [in_wm] změny provedené pomocí Attribute Editoru se neaktualizují v ML/Playlistu
* Opraveno: [vis_milk] chybějící soubory z distribuce (už nás můžeš přestat otravovat, Rovastare :)
* Opraveno: [vis_milk] 100% využití procesoru při pozastavení.
* Aktualizováno: Opraveno: [gen_jumpex] DrO's Jump To File Extension 0.97 
* Aktualizováno: [enc_lame] LAME 3.97b2
* Aktualizováno: [gen_ff] libpng 1.2.8
* Aktualizováno: [gen_ff] FreeType 2.1.10
* Aktualizováno: [enc_aacplus] Coding Technologies aacPlus encoder v7.2.0a

Winamp 5.1.3 [30. ledna 2006]
* Opraveno: [in_mp3] extrémně kritická bezpečnostní chyba

Winamp 5.1.2 [12. prosince 2005]
* Novinka: [in_wm] Podpora Windows Media Video (s DRM)
* Novinka: [in_mp4] Podpora souborů HE-AAC MP4/M4A
* Vylepšeno: mnoho drobných vylepšení zásuvných modulů
* Vylepšeno: Vizualizace výpočtů dat
* Vylepšeno: Výrazně menší využití paměti playlistu
* Vylepšeno: další vylepšení pro více uživatelů (už je to skoro hotové!)
* Vylepšeno: [instalátor] možnosti nastavení, uložená nastavení, stahování kodeků
* Vylepšeno: vylepšeno: [gen_ff] optimalizován engine pro tvorbu skinů
* Vylepšeno: [out_disk] nové funkce
* Vylepšeno: [in_cdda] přehrávání/ripování se sonickým enginem
* Opraveno: zamrznutí při zrušení vypalování CD
* Opraveno: chyba škálování videa (s moderním škálováním skinů < 100%)
* Opraveno: drobné chyby v instalačním programu
* Opraveno: zamrznutí při načítání klasického skinu se skrytým hlavním oknem
* Opraveno: Vizualizace pro 24bitové a 32bitové skladby
* Opraveno: Pokročilé formátování titulů s japonskými, čínskými a korejskými metadaty (díky mrym)
* Opraveno: [in_mp3] vyhledávání a hlášení datového toku surového souboru AAC VBR
* Opraveno: [in_mp4] zápis unicode metadat 
* Opraveno: [in_wm/in_dshow] přehrávání mms:// streamovaného videa
* Opraveno: [in_cdda] zobrazení datového toku zvukového CD
* Opraveno: [in_cdda] Sonic engine na 64bitových Windows (díky STanger)
* Opraveno: spousta drobných chyb ...
* Aktualizováno: Sonic CD Engine 2.2.50
* Aktualizováno: libmp4v2 1.4.1
* Aktualizováno: Coding Technology AAC+ Decoder 7.2.0

Winamp 5.1.11 [Oct 26 2005]
* Opraveno: opět funguje s Internet Explorerem 3.0 (staré win95/nt3.51)
* Opraveno: Pád automatické předvolby EQ (jiné než mp3 soubory)
* Opraveno: pád $upper, $caps, $caps2 s cizími znaky.
* Opraveno: Pád programu Station Info (s programem pro filtrování http).
* Opraveno: chyby prázdného seznamu skladeb
* Opraveno: ignorování proxy serveru [in_mp3], pokud byl zaškrtnut "pouze port 80".
* Opraveno: nefunkční text [in_midi]

Winamp 5.1.1 [Oct 20 2005]
* Aktualizováno: LAME 3.96.1
* Opraveno: problém se zaměřením seznamu skladeb po přidání souborů do seznamu skladeb
* Opraveno: pád u vícekanálových skladeb se zapnutým ekvalizérem
* Opraveno: nefunkční detekce připojení k internetu při nastavení "dial-up".
* Opraveno: ruční posunutí seznamu skladeb u videí ve Winampu
* Opraveno: závada při zobrazování textu EQ
* Opraveno: video nezaplňuje okno videa
* Opraveno: černé pruhy v celoobrazovkovém videu
* Opraveno: pád [gen_ml] bez přístupu k zápisu
* Opraveno: [gen_ml] závada při vykreslování knihovny médií v dialogu CDDB
* Opraveno: [in_dshow] hledání u souborů bez videa nebo bez zvuku
* Opraveno: [in_cdda] pád při ripování aspi
* Opraveno: [ml_wire] vytvoření složky "my music"
* Opraveno: [ml_wire] Správné zpracování podcastů s daty před rokem 1970
* Opraveno: [ml_wire] Stahování podcastů s parametry v adrese URL
* Opraveno: [out_ds] nastavení fade-on-seek
* Opraveno: [in_wm] závada při pauze
* Opraveno: [in_mp4] zobrazení názvu souboru s informacemi o souboru se neposouvá
* Již brzy: Podpora více uživatelských profilů (předběžná podpora povolena)

Winamp 5.1 Surround Edition [1. září 2005]
* Novinka: CodingTechnologies AACPlus enkodér! 
	Zabiják MP3! 
	Úžasný i při nízkých datových tocích!
* Novinka: Vítěz hlavní ceny projektu Internet Surround Music Project!
	KAJE - Hey Buddy (featuring Afrika Bambaataa)
* Novinka: SHOUTcast Wire - Prohlížeč RSS médií a služba předplatného
* Novinka: Predixis Smart Playlist Generator 
	(Mixujte své skladby podle toho, jak znějí!)
* Novinka: Rádio AOL s funkcí (((XM))) Bezplatný sampler!
* Novinka: Ripování CD je nyní k dispozici v 8x verzi zdarma!
* Novinka: Kodér Microsoft WMA
* Novinka: Více než 200 nových předvoleb Milkdrop!
* Aktualizace: in_vorbis nyní vrací datový tok v getextendedfileinfo
* Opraveno: Zadrhávání při přehrávání WMA
* Opraveno: Tlačítko out_ds copy na kartě stav nyní funguje neustále.
* Opraveno: Výrazně vylepšeno ripování a přehrávání pomocí Sonic enginu
* Opraveno: Okno videa lze nyní měnit bez ohledu na postranní vozík
* Opraveno: Délka dlouhých mp3 je nyní správně hlášena 
* Opraveno: Přepínač tiché instalace nyní funguje správně
* Opraveno: Současné přehrávání a ripování CD 

Winamp 5.0.94 [18. července 2005]
* Novinka: in_wm nyní zpracovává rozšířené informace o datovém toku a délce.
* Novinka: Nové generování náhodných čísel pro náhodné přehrávání playlistů
* Opraveno: Bezpečnostní chyba v id3v2 tagu (díky LSS Security).
* Opraveno: Winamp nyní náhodně přehrává seznamy skladeb větší než 32 768 skladeb.
* Opraveno: Fade on start se nyní chová správně
* Opraveno: oddělené nastavení directsound s více instancemi
* Opraveno: Winamp nyní podporuje přidávání adres URL delších než 260 znaků.
* Opraveno: Úprava souborů vytvořených v iTunes již nezpůsobuje poškození.
* Opraveno: Délka dlouhých souborů mp3 je nyní hlášena správně.
* Opraveno: Gen_jumpex již nepadá při zapnutém DEP.
* Opraveno: Výběry třídění v knihovně médií se nyní pamatují.
* Opraveno: Názvy alb s nealfanumerickými znaky se chovají lépe.
* Opraveno: Opraven občasný pád při vyhledávání u některých uživatelů.
* Aktualizováno: libmp4v2.dll

Winamp 5.0.93 [13. června 2005]
* Opraveno: OSD zůstává na obrazovce v režimu DirectDraw
* Opraveno: OSD videa na celé obrazovce se po použití funkce Pauza znovu neobjeví.
* Opraveno: ML Playlist > Vybrat vše (bez klávesy pro odstranění)
* Opraveno: Vis data pro in_mod (a případně další vstupní pluginy)
* Opraveno: msvcp60.dll je nyní propojen staticky
* Opraveno: Drobné občasné chyby v gen_ml a gen_ff
* Opraveno: Nyní fungují větší než dvoukanálová vis data
* Opraveno: Problémy knihovny médií se závorkami v názvech umělců nebo alb
* Opraveno: Ripování CD s koncovými elipsami (...) v názvu interpreta nebo alba
* Opraveno: Lepší převracení videa pro videa s barevným prostorem YUV
* Opraveno: Uložené nastavení ztlumení zvuku s moderním skinem.
* Opraveno: Přetahování z externích aplikací
* Opraveno: * Opravy v aplikacích, které se používají v rámci projektu, byly provedeny v rámci tzv: Dialogové okno Otevřít soubor vždy nahoře
* Opraveno: Crossfade při spuštění
* Opraveno: Zamrznutí při přepínání zvukových stop ve více zvukových proudech.
* Opraveno: Přepínání na celou obrazovku se zmenšeným oknem videa.
* Aktualizace: Dynamická online média nyní mohou upozorňovat uživatele na živé události(lze zakázat).

Winamp 5.0.92 [25. května 2005]
* Novinka: * Zlepšeny možnosti připojení k internetu, např: Přehrávání DRM WMA podporuje out_wave
* Novinka: * Zprovozněno přehrávání videa z internetu: Přehrávání WMA bez DRM umožňuje libovolný výstupní modul plug-in.
* Novinka: Balíček předvoleb AVS podle výběru komunity
* Novinka: Odstranění v knihovně médií nyní přesouvá soubory do koše
* Novinka: NSV titulky lze vypnout za běhu
* Opraveno: Dlouhé zpoždění a vysoký výkon procesoru při ukončení s mnoha položkami v seznamu skladeb
* Opraveno: chyba při vypínání gen_ml
* Opraveno: Snadný přesun okna videa zpět do normálního režimu
* Opraveno: Pauza při přehrávání WMA: únik paměti
* Opraveno: Video přes celou obrazovku ve více monitorech
* Opraveno: Přetažení v editoru seznamu skladeb
* Opraveno: Přetažení v aplikaci Winamp
* Opraveno: Aktualizace funkce Nyní se přehrává při změně skladby
* Opraveno: Chyby při skenování knihovny médií / médií systému Windows
* Opraveno: Zůstat v režimu celé obrazovky/nesoulad konfigurace
* Opraveno: Pád klávesy Ctrl-B
* Opraveno: Ověřování pro datové proudy OGG/Vorbis
* Opraveno: Podivné chování přetahování v dialogových oknech otevřených souborů
* Opraveno: Zadrhávání WMA při spuštění a vyhledávání
* Opraveno: Zastavení videa NSV při ukládání do vyrovnávací paměti
* Opraveno: Automatická velikost videa, aby odpovídala velikosti videa, nikoli velikosti snímku
* Opraveno: Vypnutí zvuku krátkých klipů NSV
* Aktualizace: * Zlepšena funkce NSV NSV: * Aktualizováno: Strom online médií je nyní dynamický (kontrolu lze nyní zakázat)
* Aktualizace: Nesoulad příznaku instalace/konfigurace sonicu
* Aktualizace: Knihovna pro ripování/vypalování CD (možná příčina chyb msvcrt.dll)

Winamp 5.0.8 [Dec 22 2004]
* Aktualizovaná licence Windows Media DRM
* Opravena funkce playFile v souboru gen_ff.dll (umožňuje spuštění přehrávání moderních skinů)
* Vytvořeny nové balíčky eMusic
* Opravena kritická bezpečnostní chyba v souborech in_mp4.dll a enc_mp4.dll a libmp4v2.dll
* Opraveno hledání HTTP pro webové servery, které odmítají vrátit Accept-Range
* Kritické bezpečnostní přetečení bufferu opraveno v souboru in_cdda.dll

Winamp 5.0.7 [2. prosince 2004]
* Kritická bezpečnostní chyba opravena v in_cdda.dll a obsluze .m3u
* in_mp3 & in_nsv by měly opět fungovat na Win95
* Nastavení proxy opět funguje
* Instalátor opraven tak, aby se read_file.dll instaloval vždy s podporou modů
* Číslo verze by mělo být správně hlášeno pomocí IPC_GETVERSION pro toto sestavení

Winamp 5.0.6 [Nov 18 2004]
* Opravena chyba při vymazání seznamu skladeb a následném kliknutí pravým tlačítkem myši na seznam skladeb.
* Opravy bezpečnostních chyb
* Spousta drobných oprav chyb
* JTFE v0.96ff

Winamp 5.0.5 [Aug 27 2004]
* Oprava bezpečnostní chyby
* Oprava videa vzhůru nohama přes DirectShow
* JTFE v0.96c
* Přidána výzva při prvním načtení skinu

Winamp 5.0.4 [28. července 2004]
* JTFE v0.96
* Přidán dekodér AACPlus společnosti Coding Technologies
* Opraveno mazání dočasně vygenerovaných souborů WAV po vypalování na některých 
  počítačích
* Opraven překlep v některých zkratkách kontextové nabídky
* Opravena chyba zpomalení IPC způsobená gen_hotkeys
* Přidáno tlačítko "vymazat" v zobrazení internetového rádia/televize
* Přidány snímky obrazovky klasického/moderního režimu v instalátoru
* Opraven výpočet datového toku MP3 (in_mp3 hlásil u některých MP3 nesprávnou délku)
* Opraveno nesprávné hlášení délky u dlouhých souborů WMA
* Lepší oprava zobrazování oken pledit/video při spuštění, když jsou minimalizována
* Opravena chyba textu db při přesouvání posuvníků EQ
* Upgrade kódování MP3 na LAME v3.96
* Opraven pád při přehrávání WMA při použití kodeků WMA v8
* Aktualizovány výchozí hodnoty streamování v in_nsv
* Přidáno zobrazení Winamp.com Audio&Video v knihovně médií
* Opraven drobný únik paměti v in_cdda
* Přidána kontextová nabídka pravého tlačítka myši na položku "Nyní se přehrává" v knihovně médií
* Přidáno vypnutí skriptů/ActiveX pro miniprohlížeč Knihovny médií (ve výchozím nastavení zapnuto)
* Opraven únik paměti u souborů MP3 s rozhozenými tagy ID3v2
* Opravena vizualizace při přehrávání skladeb CD
* Opraveno přerušení řetězce proxy user:pass@server:port při přehrávání streamů Shoutcast
* Upraveno, aby in_dshow nezpracovávalo mms:// streamy končící na .wma
* Opraven tag %tracknumber% pro stopy CD
* Opraveny některé chyby při pádu v in_mp4
* Opraveno generování seznamu skladeb při ripování plných CD
* V knihovně médií přidána funkce "importovat seznam skladeb ze složky".
* Aktualizovány obrazovky předvoleb knihovny médií
* Přidány nové předvolby SPS od společnosti Cockos, Inc. (pitch shifters atd...)
* Přidána základní podpora streamování (stahování) pro streamy M4A/MP4 HTTP.
* Přidáno sledování celoobrazovkových aplikací, dočasně zakázáno vždy nahoře
* Přidáno IPC_IS_WNDSHADE
* Přidáno hodnocení gen_ml ipcs
* Přidáno hodnocení z kontextové nabídky playlistu (působí na vybrané položky)
* Přidáno hodnocení z kontextové nabídky zaškrtávacího seznamu skladeb (působí na aktuální skladbu)
* Přidány klávesové zkratky pro hodnocení v gen_hotkey
* Opraveno ukládání seznamů skladeb pouze pro čtení
* Opraveny dvojité oddělovací řádky v kontextové nabídce položky gen_ml id3less
* Opraveno obnovení zobrazení ztrácejícího dotaz po odstranění mrtvých souborů a skenování na pozadí.
* Přidáno escapování znaků ", ', [ a ] v dotazech ml : používá %HH, kde HH je šestnáctkový znak 
  (pro '%' se používá %%).
* Přidána podpora sdk pro více audio/video stop v pluginech pro vstup videa (viz wa_ipc.h
  pro třídu ITrackSelector)
* Přidána podpora vícenásobného zvuku avi (klikněte pravým tlačítkem myši na okno videa, vyberte "Audio Tracks")
* Opraven problém s více monitory při přepínání stínítka okna na jednom monitoru během přehrávání
  na druhém monitoru při přehrávání videa na celou obrazovku
* Přidány ML_IPC_EDITQUERY a ML_IPC_EDITVIEW
* Opravena chyba kreslení pledit pod winxp/cleartype
* Opraven pád při čtení id3 souborů s nulovým počtem bajtů
* Opraven pád v sps při ukončení Winampu před zavřením dialogového okna otevření/uložení
* Přidány IPC_PUSH_DISABLE_EXIT, IPC_POP_DISABLE_EXIT a IPC_IS_EXIT_ENABLED.
* Opraven pád gen_ml při vkládání položky s délkou -1
* Gen_ml je mnohem odolnější vůči poškozeným databázím.
* Opraven ml nuke
* Přidáno vypnutí volby "keep on screen" při přechodu do jiného rozlišení 
  kvůli celoobrazovkové aplikaci (tj. hře).
* Globální klávesová zkratka ui:preferences otevřela předvolby na dříve otevřené stránce.
* Opraveno několik kosmetických "chyb" v předvolbách
* Moderní aktualizace skinů :
  - Opraven stav tlačítka pro opakování stínu okna a stopy
  - Opraveno škálování dokovaných panelů nástrojů
  - Opraveno tvrzení verze 5.03 o odstranění funkce newGroupAsLayout()
  - Opraven pokles souřadnic plovoucích oken videa na 0,0
  - Opraveno automatické zakrytí, když jsou rozvržení načtena již zakotvená jako panely nástrojů
  - Opraveno nepoužívání fadein/fadeout na okně oznámení při propojení všech normálních oken' 
    alfa
  - Opraven pohyb dokovaných panelů nástrojů, když se některé jiné okno, které je k nim dokované, přepne na 
    alternativní rozvržení
  - Opraven tichý pád při vypínání, když je pledit zakotven jako panel nástrojů a gen_ml se odemkne. 
    před gen_ff (nepamatoval si nastavení z relace do relace)
  - Opraveny body přichycení
  - Opraveno kliknutí na +12db / 0db / -12db
  - Optimalizováno posouvání textu (hodně)
  - Opraven obsah pledit, který se v některých případech nemaloval
  - Gen_hotkeys jsou nyní směrovány přes System.onKeyDown(name), kde name je název funkce 
    klávesové zkratky s předponou "HOTKEY: " (tj.: "HOTKEY: Playback: Play"). Můžete vydat příkaz
    příkaz complete;, který zabrání tomu, aby gen_hotkey zpracovával klávesovou zkratku
  - Opravena horizontální změna velikosti hlavního okna při zavřeném šuplíku videa/vidění
  - Přidána automatická výška pro otevření další zásuvky při změně velikosti hlavního okna s videem/visem 
    zásuvkou zavřenou, čímž se zabrání otevření nepřiměřeně vysoké zásuvky, pokud právě 
    sledoval video ve velkém okně a pak pouze změnil velikost přehrávače zpět na jeho velikost. 
    po zavření videa. automatická výška se obnoví na 4:3 
    proporce
  - Opravena chyba dokování při použití funkce snapadjustleft
  - Opraven chybný výpočet výchozí šířky zobrazení času, který byl v rozporu se zarovnáním textu doprava
  - Opraveno přesouvání oken po změně rozlišení obrazovky
  - Opravena vzácná desynchronizace vždy nahoře s klasickými skiny

Winamp 5.0.3 [24. března 2004]
* Do instalačního programu přidána nabídka zkušební verze eMusic. odinstalační program je součástí Program Files\Winamp\eMusic
* Nový výchozí ripovací enkodér MP4 AAC.
* Opravena chyba pádu při přehrávání některých souborů AVI v in_dshow
* Přidány multimediální klávesy do výchozí konfigurace globálních klávesových zkratek
* Přidáno "Ruční posunutí seznamu skladeb" ve vyskakovací nabídce tlačítka Opakovat v klasickém režimu
* Vylepšení konfigurace kodéru MP3 (přidán standard --alt-preset atd...)
* Upraveno správné tematické zobrazení karet v předvolbách XP v systému Windows XP.
* Trochu přepracovány předvolby knihovny médií
* Nový experimentální vstupní modul WMA9
* Aktualizace gen_jumpex od DrO
* Přidána akce "Nuke library" v knihovně médií
* Další opravy převrácených videí
* Opraven pád, pokud zásuvný modul generoval pledit wm_windowposchanged při vypnutí.
* Opraveno zneužití pádu v in_mod (díky Peter Winter-Smith)
* Opraveny různé pády v in_midi při přehrávání neplatných souborů
* Přimělo in_midi ukládat nastavení do souboru winamp.ini namísto do registru
* Opravena chyba při instalaci na počítačích s čínským/orientálním regionálním nastavením.
* Odstraněn AOD z instalátoru
* Přidána funkce Shift-R pro přepínání ručního posunu seznamu skladeb
* Aktualizace dekodéru videa VP6 na nejnovější kód VP6.2
* Opraven pád při spuštění Winampu s velmi dlouhými názvy souborů z průzkumníka
* Při instalaci profesionální verze se na hlavním panelu Průzkumníka zobrazil dialog pro registraci
* Opraveno zobrazování oken pledit/video při spuštění, když jsou minimalizována
* Aktualizace moderních skinů :
  - Moderní skin Winampu nyní používá třístavové tlačítko opakování: bez opakování/opakovat vše/opakovat skladbu
  - Přidány možnosti panelů nástrojů na ploše aplikace pro rozvržení, přidání 
      appbar="left|top|right|bottom" pro jejich použití
  - Zvýšená binární verze maki, vylepšená ochrana zásobníku
  - Aktuální číslo verze skinu je 1.2 (to by se ještě dlouho nemělo změnit a 
    samozřejmě budeme i nadále podporovat verze 0.8 až 1.1)
  - (Velmi) omezený debugger maki (zatím jej můžete vyvolat pomocí invokeDebugger(); v a 
    skriptu a pak použijte 'x' pro pokračování a 'i' pro trasování do)
  - Opraven problém s obskurním zachycením při přetahování oken
  - Opraveno vynucování hodnoty rectrgn na 1 v tlačítkách xml xuiobject, která jsou původně bez obrázku
  - Opraveno nezapnutí stavu hilited po kliknutí na tlačítka, zatímco myš zůstává v oblasti
  - Opraveno skriptování onEnterArea/onLeaveArea, které se ne vždy správně volá, když je myš v oblasti 
    tlačítko zůstane dole
  - Opraveno předávání getToken s hodnotou NULL při házení guru
  - Opraveno ořezávání malování v oblasti pozadí skupiny místo 
    v rámci složené oblasti (té, kterou lze změnit pomocí sysregion)
  - Opraven problém s cache obrázků při použití stejné bitmapy jako mapy a obrázku tlačítka 
    parametr

Winamp 5.0.2 [Feb 4 2004]
* Přidáno několik API gen_ml
* Opravena chyba při vymazávání mezipaměti gen_ml radio/tv po zobrazení předvoleb
* Udělal, aby gen_ml radio/tv při neúspěšné aktualizaci zachovával stará data, a aby se neaktualizoval, když není k dispozici žádný záznam
  internet není k dispozici
* Gen_ml podporuje některé nové syntaxe rychlého vyhledávání: "* beck radiohead"
  vypíše všechny věci, které odpovídají beck NEBO radiohead, a:
    radiohead "<posledníhra > [před 3 dny]>" zobrazí všechny věci odpovídající radiohead
    přehrané v posledních 3 dnech...
* možnost gen_ml pro libovolný/všechny režimy hádání
* SPS podporuje 24bitové vzorky
* Přidáno nastavení priority pro ripování CD
* Upraveno ripování CD tak, aby podporovalo pouze jedno ripování najednou
* Přidáno odeslat do -> přidat do knihovny pro nabídky odesílání playlistů (a dalších).
* Lepší podpora zobrazení zvuku v knihovně médií bez umělce/alba
* Opraveno zadávání po informačním poli a vyskakovací nabídky v knihovně
* Přesunutí možností litestep do klasických předvoleb skinu
* Opravena chyba klasického překreslování editoru playlistů, díky níž si playlist poradí s posouváním kolečkem myši, zatímco
  přesouvání položek.
* Přípona typu souboru "EXE" se nedá registrovat :)
* Vyčištěna volba "vypnout spořič obrazovky při přehrávání videa".
* K dispozici nejnovější SDK (AVS, knihovna médií, nová IPC volání Winampu atd...)
* Aktualizováno na DLL knihovny Gracenote CDDB v2
* Vylepšení v gen_hotkeys
* Upgrade kódování MP3 na LAME v3.95.1
* out_ds nyní používá pro nastavení winamp.ini místo registru
* Nová oprava pro videa vzhůru nohama v in_dshow
* Přidáno OGM jako podporované rozšíření v in_dshow
* Aktualizace moderních skinů :
  - Trochu optimalizován region
  - Opraveno zpracování globální alfa pro rozvržení bez rodičů
  - Opravena drobná chyba v toku stisknutí klávesy
  - Opraven potenciální problém se zrušením zachycení vrstvy
  - Opraven pád při rychlém střídání kláves alt+g a alt+w
  - Opraveno nevystupování přehrávače do popředí při přehrávání videa prostřednictvím kliknutí na externí adresu URL
  - Opraveno tvrzení, když se v adresáři písem nenachází arial.ttf (nebo jiné náhradní písmo, které bylo nastaveno)
  - Opraveno chybné přemapování písma skinu, které bylo někdy v rozporu se zpětným přechodem na výchozí písmo gui.
  - Do maki přidány funkce pro datum a verzi
  - Do textového objektu přidáno timerhours="1", aby se zobrazovalo 1:00:00 místo 60:00.
  - Přidáno timeroffstyle 3 a 4 do textového objektu pro zobrazení "0:00:00" a " : :  "
  - Zvýšena verze skinu na 1.1 - pokud překompilujete své skripty, MUSÍTE použít verzi 1.1.
  - Aktualizován kompilátor maki (http://bluemars.org/maki) :
    - Přidána ochrana zásobníku do maki binárních souborů - zvýšena hlavička verze binárních souborů
    - Přidána kontrola vlastní verze v binárních souborech maki
    - Neexistující (budoucí) maki funkce již nebudou shazovat maki runtime, YAY
    - Opraveny neznámé návratové hodnoty funkcí maki
  - Opraveno zobrazování Winampu na sekundárním hlavním panelu s ultramonem bez ohledu na skutečnou pozici
  - Opraveno cizí zneplatnění
* Nový rozšířený dialog pro přeskakování souborů (díky Darrenu Owenovi)
* Přidáno základní kódování/dekódování MP4 AAC (díky Menno Bakkerovi za pomoc)
* Opravena unicode metadata v in_vorbis
* Opraven pád v instalačním kódu
* Odstraněno generování souborů "badframes.stt" v dekodéru VP6
* <3 sbohem Justine <3

Winamp 5.0.1 [19. prosince 2003]
* Opravena chyba při výběru gen_ml
* Přidána možnost gen_ml pro vůbec žádné hádání
* AVS a SPS podporují funkci loop() v uživatelském kódu.
* AVS podporuje megabuf() v uživatelském kódu.
* Instalační program pro se neptá na regkey, pokud je již platný.
* Vylepšeno načítání adresářů písem v gen_ff
* Přidán systém hodnocení obsahu ve výpisu internetové televize
* Přidána statistika využití šířky pásma ve výpisech internetových rádií/televizí
* Knihovna médií hádala z názvu souboru pouze v případě, že nebyla nalezena žádná metadata
* Přidány samostatné možnosti sledování posledních položek u souborů/streamů
* Instalační program lépe zvládá instalaci wa5 přímo přes wa3.
* Do instalátoru byly přidány dokumenty o milkdropu.
* Odinstalační program neodstraňuje adresář Winamp, pokud není prázdný (uživatel to nyní musí udělat ručně, aby se zabránilo tomu, že lidé budou dělat "oops").
* Instalační program zkontroloval verzi sonic px.dll a podle toho vyzval k restartu.
* Opraveny chyby při dotazování na metadata nsv
* Opraveny chyby při hádání gen_ml pro soubory s metadaty, které nejsou v DB

Winamp 5.0 [14. prosince 2003]
* Podpora klasických skinů Winamp 1.x/2.x/2.9x a skinů Winamp 3 ("Modern")
* Nový moderní skin:
   - Integrovaná podpora pro video, AVS a Milkdrop
   - Mnoho vestavěných barevných motivů
* Stejný klasický skin pro uživatele, kteří chtějí mít pocit Winampu 2
* Výrazně výkonnější knihovna médií:
   - Možnosti automatického skenování adresářů na pozadí
   - Přizpůsobitelná zobrazení a sloupce, grafický editor zobrazení
   - Internetová rádia (SHOUTcast) a televizní seznamy 
   - Kontextový prohlížeč informací o položkách
* Podpora ripování CD (AAC@2x ve verzi zdarma, MP3 neomezenou rychlostí ve verzi pro)
* Podpora vypalování CD (ve verzi zdarma omezena na 2x)
* Pokročilá logika formátování titulů u typů souborů, které ji podporují
* Obrovské aktualizace AVS:
   - Nové efekty, přibaleny některé populární APE třetích stran
   - Mnohem lepší výběr výchozích předvoleb
   - Experimentální podpora SMP
   - Plná podpora podadresářů předvoleb AVS
   - Rozšíření a optimalizace vyhodnocovací knihovny AVS
* Podpora přehrávání formátů AAC a VP6 v souborech/proudech NSV
* Podpora globálních klávesových zkratek
* nový zásuvný modul DSP Signal Processing Studio
* Možnosti vypnutí zpracování výjimek zásuvného modulu pro vývojáře
* Množství nových volání rozhraní API zásuvného modulu (SDK bude připraveno)
* Opravena chyba v možnostech změny posunu při minimalizaci
* Nová ikona Winamp
* Přidání souboru XP Manifest.xml do souboru winamp.exe
* Ikona agenta začala používat nakonfigurovanou ikonu systémové lišty Winampu
* Optimalizována logika načítání titulů Winampu na vyžádání, zrychlení
* Spolehlivější správa vnitřních podnabídek Winampu
* Přidány předvolby pro přepis písma skinu
* Přidán mezerník zobrazující aktuální položku playlistu v editoru playlistu
* Opraven ruční posun seznamu skladeb s opakováním
* Upraveno zaškrtávací políčko Winampu pro opakované procházení otevřených adresářů tak, aby vypadalo hezčeji.
* Velké přepracování předvoleb, aby byl Steve spokojený
* Obrovské díky Amirovi Szekelymu a ostatním vývojářům NSIS za jejich pomoc.